<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Customer extends Home_Controller {

    public function __construct()
    {
        parent::__construct();

        if (!is_customer()) {
            redirect(base_url());
        }
    }

    //customer orders
    public function orders()
    {   
        $data = array();
        $data['page'] = 'Customers';
        $data['page_title'] = 'Orders';
        $data['page_lang'] = 'orders';
        $data['menu'] = TRUE;
        $data['orders'] = $this->common_model->get_customer_orders();
        $data['customer'] = $this->common_model->get_by_id(customer()->id, 'customers');
        $data['company'] = $this->common_model->get_by_uid($data['customer']->business_id, 'business');
        $data['main_content'] = $this->load->view('customers/orders', $data, TRUE);
        $this->load->view('index', $data);
    }

    //order details
    public function order_details($id)
    {
        $data = array();
        $data['page_title'] = 'Product';  
        $data['page'] = 'Customers';    
        $data['product'] = FALSE;
        $data['customer'] = $this->common_model->get_by_id(customer()->id, 'customers');
        $data['company'] = $this->common_model->get_by_uid($data['customer']->business_id, 'business');
        $data['orders'] = $this->common_model->get_order($id);
        $data['main_content'] = $this->load->view('customers/order_details',$data,TRUE);
        $this->load->view('index',$data);
    }

    //customer events
    public function events()
    {   
        $data = array();
        $data['page'] = 'Customers';
        $data['page_title'] = 'Events';
        $data['page_lang'] = 'events';
        $data['menu'] = TRUE;
        $data['customer'] = $this->common_model->get_by_id(customer()->id, 'customers');
        $data['company'] = $this->common_model->get_by_uid($data['customer']->business_id, 'business');
        $data['events'] = $this->common_model->get_customer_events();
        $data['main_content'] = $this->load->view('customers/events', $data, TRUE);
        $this->load->view('index', $data);
    }


    //event details
    public function event_details($id)
    {
        $data = array();
        $data['page_title'] = 'Product';  
        $data['page'] = 'Customers';    
        $data['product'] = FALSE;
        $data['customer'] = $this->common_model->get_by_id(customer()->id, 'customers');
        $data['company'] = $this->common_model->get_by_uid($data['customer']->business_id, 'business');
        $data['events'] = $this->common_model->get_event($id);
        $data['main_content'] = $this->load->view('customers/event_details',$data,TRUE);
        $this->load->view('index',$data);
    }

    //appointments
    public function appointments()
    {   
        $data = array();
        $data['page'] = 'Customers';
        $data['page_title'] = 'Appointments';
        $data['page_lang'] = 'events';
        $data['menu'] = TRUE;
        $data['customer'] = $this->common_model->get_by_id(customer()->id, 'customers');
        $data['company'] = $this->common_model->get_by_uid($data['customer']->business_id, 'business');
        $data['appointments'] = $this->common_model->get_customer_appointments();
        $data['main_content'] = $this->load->view('customers/appointments', $data, TRUE);
        $this->load->view('index', $data);
    }

    //customer payment
    public function payment($id, $type)
    {   
        $data = array();
        $data['page'] = 'Customers';
        $data['page_title'] = 'Payment';
        $data['page_lang'] = 'payment';
        $data['type'] = $type;
        $data['menu'] = TRUE;
        
        if($type=='product'){
            $data['order'] = $this->common_model->get_by_md5_id($id, 'product_orders');
            $data['company'] = $this->common_model->get_by_uid($data['order']->business_id, 'business');
            $data['order_lists'] = $this->common_model->get_product_order_lists($data['order']->id);
        }elseif($type=='event'){
            $data['event'] = $this->common_model->get_by_md5_id($id, 'event_booking');
            $data['company'] = $this->common_model->get_by_uid($data['event']->business_id, 'business');
        }else{
            $data['appointment'] = $this->common_model->get_by_md5_id($id, 'appointments');
            $data['company'] = $this->common_model->get_by_uid($data['appointment']->business_id, 'business');
        }
        
       
        $data['user'] = $this->common_model->get_by_id($data['company']->user_id, 'users');
        $this->session->set_userdata('user_id', $data['company']->user_id);
        $data['main_content'] = $this->load->view('customers/payment', $data, TRUE);
        $this->load->view('index', $data);
    }

    //payment status page
    public function payment_msg($type, $payment_type){
        $data = array();
        $data['menu'] = TRUE;
        $data['type'] = ucfirst($type);
        if ($payment_type == 'product') {
            $data['url_type'] = 'orders';
        }elseif ($payment_type == 'event') {
            $data['url_type'] = 'events';
        }elseif ($payment_type == 'service') {
            $data['url_type'] = 'appointments';
        }
        $data['main_content'] = $this->load->view('customers/payment_msg',$data,TRUE);
        $this->load->view('index',$data);
    }

    //customer account page
    public function account()
    {   
        $data = array();
        $data['page'] = 'Customers';
        $data['page_title'] = 'Account';
        $data['page_lang'] = 'account';
        $data['menu'] = TRUE;
        $data['customer'] = $this->common_model->get_by_id(customer()->id, 'customers');
        $data['main_content'] = $this->load->view('customers/account', $data, TRUE);
        $this->load->view('index', $data);
    }

    //update customer info
    public function update(){
        
        check_status();

        if ($_POST) {

            $id = $this->input->post('id', true);
            $data = array(
                'name' => $this->input->post('name', true),
                'phone' => $this->input->post('phone', true),
                'email' => $this->input->post('email', true)
            );

            if($_FILES['photo']['name'] != ''){
                $up_load = $this->admin_model->upload_image('800');
                $data_img = array(
                    'image' => $up_load['images'],
                    'thumb' => $up_load['thumb']
                );
                $this->admin_model->edit_option($data_img, $id, 'customers');   
            }

            $data = $this->security->xss_clean($data);
            $this->admin_model->edit_option($data, $id, 'customers');
            $this->session->set_flashdata('msg', 'Updated Successfully'); 
            redirect(base_url('customer/account'));
        }
    }

    //cancel appointment
    public function cancel_appointment($status, $id){
        $data = array(
            'status' => $status
        );
        $data = $this->security->xss_clean($data);
        $this->admin_model->edit_option($data, $id, 'appointments');
        $this->session->set_flashdata('msg', 'Updated Successfully'); 
        redirect(base_url('customer/appointments'));
    }


    public function cancel($id,$table,$status)
    {
        if ($table=='product_orders') {
            $data = array(
                'order_status' => $status
            );
            $data = $this->security->xss_clean($data);
            $this->admin_model->edit_option_md5($data, $id, $table);
        } else {
            $data = array(
                'status' => $status
            );
            $data = $this->security->xss_clean($data);
            $this->admin_model->edit_option_md5($data, $id, $table);
        }
        echo json_encode(array('st' => 1));
       
    }


    public function change_password()
    {
        $data = array();
        $data['page'] = 'Customers';
        $data['menu'] = TRUE;
        $data['page_title'] = 'Change Password';
        $data['page_lang'] = 'change-password';
        $data['customer'] = $this->common_model->get_by_id($this->session->userdata('id'), 'customers');
        $data['main_content'] = $this->load->view('customers/account', $data, TRUE);
        $this->load->view('index', $data);
    }


    public function customer_receipt($puid)
    {
        $data = array();
        $data['page_title'] = 'Payment Receipt'; 
        $data['user'] = $this->admin_model->get_customer_payment_details($puid);
        $this->load->view('admin/payment/customer_invoice_receipt',$data);
    }


    public function add_rating() 
    {
        if ($_POST) {
            
            $id = $this->input->post('appointment_id');
            $appointment = $this->common_model->get_by_id($id, 'appointments');
          
            $data = array(
                'user_id' => $appointment->user_id,
                'business_id' => $appointment->business_id,
                'service_id' => $appointment->service_id,
                'appointment_id' => $id,
                'customer_id' => $appointment->customer_id,
                'rating' => $this->input->post('rating',true),
                'feedback' => $this->input->post('feedback',true),
                'created_at' => my_date_now()
            );
            $data = $this->security->xss_clean($data);
            $this->admin_model->insert($data, 'ratings');
            $this->session->set_flashdata('msg', trans('inserted-successfully')); 
            redirect(base_url('customer/appointments'));
        }
    }
    

    public function change()
    {   
        check_status();

        if($_POST){
            
            $id = $this->session->userdata('id');
            $user = $this->admin_model->get_by_id($id, 'customers');

            if(password_verify($this->input->post('old_pass', true), $user->password)){
                if ($this->input->post('new_pass', true) == $this->input->post('confirm_pass', true)) {
                    $data=array(
                        'password' => hash_password($this->input->post('new_pass', true))
                    );
                    $data = $this->security->xss_clean($data);
                    $this->admin_model->edit_option($data, $id, 'customers');
                    echo json_encode(array('st'=>1));
                } else {
                    echo json_encode(array('st'=>2));
                }
            } else {
                echo json_encode(array('st'=>0));
            }
        }
    }



}