<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Counter extends Home_Controller {

    public function __construct()
    {
        parent::__construct();
        //check auth
        if (!is_user()) {
            redirect(base_url());
        }
    }

    public function index()
    {
        $data = array();
        $data['page_title'] = 'Counter';  
        $data['page'] = 'Counter';  
        $data['counter'] = FALSE; 
        $data['counters'] = $this->admin_model->select_by_company('counters');
        $data['main_content'] = $this->load->view('admin/user/counter',$data,TRUE);
        $this->load->view('admin/index',$data);
    }

    public function add()
    {   
        check_status();
        
        if($_POST)
        {   
            $id = $this->input->post('id', true);
            $data=array(
                'lang_id' => 1,
                'business_id' => $this->business->uid,
                'user_id' => user()->id,
                'icon' => $this->input->post('icon', true),
                'title' => $this->input->post('title', true),
                'number' => $this->input->post('number', true),
                'text' => $this->input->post('text', true),
                'status' => $this->input->post('status', true),
            );
            $data = $this->security->xss_clean($data);


            if (!empty($id)) {
                $this->admin_model->edit_option($data, $id, 'counters');
                $this->session->set_flashdata('msg', trans('updated-successfully')); 
            } else {
                $id = $this->admin_model->insert($data, 'counters');
                $this->session->set_flashdata('msg', trans('inserted-successfully')); 
            }
            
            redirect(base_url('admin/counter'));

        }      
        
    }

    public function edit($id)
    {  
        $data = array();
        $data['page_title'] = 'Edit';  
        $data['page'] = 'Cpunter';   
        $data['counter'] = $this->admin_model->get_by_id($id, 'counters');
        $data['main_content'] = $this->load->view('admin/user/counter',$data,TRUE);
        $this->load->view('admin/index',$data);
    }
    
    public function active($id) 
    {
        $data = array(
            'status' => 1
        );
        $data = $this->security->xss_clean($data);
        $this->admin_model->update($data, $id,'counters');
        $this->session->set_flashdata('msg', trans('activate-successfully')); 
        redirect(base_url('admin/counter'));
    }

    public function deactive($id) 
    {
        $data = array(
            'status' => 0
        );
        $data = $this->security->xss_clean($data);
        $this->admin_model->update($data, $id,'counters');
        $this->session->set_flashdata('msg', trans('deactivate-successfully')); 
        redirect(base_url('admin/counter'));
    }

    public function delete($id)
    {
        $this->admin_model->delete($id,'counters'); 
        echo json_encode(array('st' => 1));
    }

}
    

