<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Quote extends Home_Controller {

    public function __construct()
    {
        parent::__construct();
        if (!is_user()) {
            redirect(base_url());
        }
    }

    public function index()
    {
        $data = array();
        $data['page_title'] = 'Quote';  
        $data['page'] = 'Quote';    
        $data['quote'] = ''; 
        $data['quotes'] = $this->admin_model->select_by_company('quotes');
        $data['main_content'] = $this->load->view('admin/user/quote',$data,TRUE);
        $this->load->view('admin/index',$data);
    }

    public function add()
    {   
        check_status();
        
        if($_POST)
        {   
            $id = $this->input->post('id', true);
            $data=array(
                'lang_id' => 1,
                'business_id' => $this->business->uid,
                'user_id' => user()->id,
                'name' => $this->input->post('name', true),
                'subject' => $this->input->post('subject', true),
                'email' => $this->input->post('email', true),
                'details' => $this->input->post('details', true),
                'status' => $this->input->post('status', true),
            );
            $data = $this->security->xss_clean($data);


            if (!empty($id)) {
                $this->admin_model->edit_option($data, $id, 'quotes');
                $this->session->set_flashdata('msg', trans('updated-successfully')); 
            } else {
                $id = $this->admin_model->insert($data, 'quotes');
                $this->session->set_flashdata('msg', trans('inserted-successfully')); 
            }
            if(!empty($_FILES['file']['name'])){
               $new_name = "file_".strtolower(uniqid().'.'.pathinfo($_FILES['file']['name'], PATHINFO_EXTENSION));

                $config['upload_path']          = './uploads/files'; //file save path
                $config['allowed_types']        = 'pdf';
                $config['max_size']             = 10000;
                $config['file_name'] = $new_name;


                $this->load->library('upload', $config);
                if ( ! $this->upload->do_upload('file'))
                {
                    $error =  $this->upload->display_errors();
                    $this->session->set_flashdata('msg', $error);
                    
                }else{

                    $data = array(
                        'file' => 'uploads/files/' . $new_name,
                    );
                    $data = $this->security->xss_clean($data);
                    $this->admin_model->edit_option($data,$id,'quotes');
                } 
            }
            
            
            redirect(base_url('admin/quote'));

        }      
        
    }

    public function edit($id)
    {  
        $data = array();
        $data['page_title'] = 'Edit';  
        $data['page'] = 'Quote';     
        $data['quote'] = $this->admin_model->get_by_id($id, 'quotes');
        $data['main_content'] = $this->load->view('admin/user/quote',$data,TRUE);
        $this->load->view('admin/index',$data);
    }
    
    public function active($id) 
    {
        $data = array(
            'status' => 1
        );
        $data = $this->security->xss_clean($data);
        $this->admin_model->update($data, $id,'quotes');
        $this->session->set_flashdata('msg', trans('activate-successfully')); 
        redirect(base_url('admin/quote'));
    }

    public function deactive($id) 
    {
        $data = array(
            'status' => 0
        );
        $data = $this->security->xss_clean($data);
        $this->admin_model->update($data, $id,'quotes');
        $this->session->set_flashdata('msg', trans('deactivate-successfully')); 
        redirect(base_url('admin/quote'));
    }

    public function delete($id)
    {
        $this->admin_model->delete($id,'quotes'); 
        echo json_encode(array('st' => 1));
    }

    public function download($id){
        $this->load->helper('download');
        $quote= $this->admin_model->get_by_id($id, 'quotes');
        $file_name = basename($quote->file);
        $data = file_get_contents($quote->file);
        $name = $file_name;

        force_download($name, $data);
        $this->session->set_flashdata('msg', trans('download-successfully'));
    }

}
    

