<div class="content-wrapper">

  <!-- Content Header (Page header) -->
  <?php $this->load->view('admin/include/breadcrumb'); ?>

  <!-- Main content -->
  <div class="content">
    <div class="container-fluid">
        <div class="row">
          <div class="col-md-12">
            <h5>Appointments</h5>
                <div class="card-body table-responsive p-0">
                  <table class="table table-hover text-nowrap <?php if(is_countable($appointments) && count($appointments)  > 10){echo "datatable";} ?>">
                    <thead>
                      <tr>
                        <th>#</th>
                        <th><?php echo trans('booking-id') ?></th>
                        <th><?php echo trans('customer') ?></th>
                        <th><?php echo trans('service') ?></th>
                        <th><?php echo trans('price') ?></th>
                        <th><?php echo trans('booking-date') ?></th>
                        <th><?php echo trans('payment-status') ?></th>
                        <th><?php echo trans('booking-status') ?></th>
                        <th><?php echo trans('action') ?></th>
                      </tr>
                    </thead>

                    <tbody>
                      <?php $i=1; foreach ($appointments as $appointment): ?>
                        <tr id="row_<?php echo html_escape($appointment->id); ?>">
                          <td><?= $i; ?></td>
                          <td>#<?php echo html_escape($appointment->number) ?></td>
                          <td>
                            <p class="mb-0 font-weight-bold"><?php echo get_by_id($appointment->customer_id,'customers')->name ?></p>
                            <p class="mb-0 "><?php echo get_by_id($appointment->customer_id,'customers')->email ?></p>
                              
                            </td>
                          <td>
                            <p class="mb-0 font-weight-bold"><?php echo get_by_id($appointment->service_id,'services')->title ?></p>
                            <p class="mb-0 "><?php echo get_by_id($appointment->service_id,'services')->duration ?> <span><?php echo get_by_id($appointment->service_id,'services')->duration_type ?></span></p>
                            </td>
                          <td>
                            <p class="mb-0">
                              <?php if($this->business->curr_locate == 0){echo html_escape($this->business->currency_symbol);} ?>
                              <?php echo number_format($appointment->price, $this->business->num_format) ?>
                              <?php if($this->business->curr_locate == 1){echo html_escape($this->business->currency_symbol);} ?>
                            </p>

                          </td>
                          
                          <td>
                            <p class="mb-0"><?php echo my_date_show($appointment->date) ?></p>
                              
                            <p class="mb-0"><?php echo html_escape($appointment->time) ?></p>
                          </td>

                          <td>
                              <?php if ($appointment->status == 0): ?>
                                <span class="badge badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                              <?php elseif($appointment->status == 1) : ?>
                                <span class="badge badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('confirm') ?></span>
                              <?php else: ?>
                                <span class="badge badge-danger-soft"><i class="fas fa-check-circle"></i> <?php echo trans('cancelled') ?></span>
                              <?php endif; ?>
                          </td>

                          <td>
                            <?php if ($appointment->payment_status == 0): ?>
                              <span class="badge badge-warning-soft"><i class="fas fa-clock"></i> <?php echo trans('pending') ?></span>
                            <?php else: ?>
                              <span class="badge badge-success-soft"><i class="fas fa-check-circle"></i> <?php echo trans('paid') ?></span>
                            <?php endif; ?>
                          </td>

                          <td class="actions">
                              <div class="btn-group">
                                <button type="button" class="btn btn-tool" data-toggle="dropdown" aria-expanded="false">
                                  <i class="fas fa-ellipsis-h"></i>
                                </button>
                                <div class="dropdown-menu dropdown-menu-right" role="menu" >

                                  <a data-val="Category" data-id="<?php echo html_escape($appointment->id); ?>" href="<?php echo base_url('admin/service/appointment_delete/' . html_escape($appointment->id)) ?>" class="dropdown-item delete_item"><?php echo trans('delete') ?></a>

                                  <?php if($appointment->status==0): ?>
                                    <a data-val="Category" data-id="<?php echo html_escape($appointment->id); ?>" href="<?php echo base_url('admin/service/appointment_confirm/' . $appointment->id) ?>" class="dropdown-item"><?php echo trans('confirm-appointment') ?></a>

                                    <a data-val="Category" data-id="<?php echo html_escape($appointment->id); ?>" href="<?php echo base_url('admin/service/appointment_cancel/' . $appointment->id) ?>" class="dropdown-item"><?php echo trans('cancel-appointment') ?></a>
                                  <?php endif; ?>
                                </div>
                              </div>
                            </td>
                        </tr>
                      <?php $i++; endforeach; ?>
                    </tbody>
                  </table>
                </div>
              </div>
          </div>
      </div>
    </div>
  </div>
