<div class="content-wrapper">

  <!-- Content Header (Page header) -->
  <?php $this->load->view('admin/include/breadcrumb'); ?>

  <!-- Main content -->
  <div class="content">
    <div class="container-fluid">
        <div class="row">
          <div class="col-md-3 pt-2">
              <div class="card-body box-profile pt-4 mt-5 p-0">
                <div class="text-center">
                  <img class="sidebar-img" src="<?php echo base_url($customer->thumb) ?>" alt="">
                </div>

                <h3 class="profile-username text-center mb-1"><?php echo html_escape($customer->name) ?></h3>
                <p class="text-muted text-center mb-1"><?php echo html_escape($customer->phone) ?></p>
                <p class="text-muted text-center strong"><?php echo trans('joined') ?>: <?php echo get_time_ago($customer->created_at) ?></p>

                <ul class="list-group list-group-unbordered pt-3">
                  <li class="list-group-item pl-3 pr-3 text-dark">
                    <span class="font-weight-bold fs-12">Total <?php echo html_escape($text) ?></span> <a class="float-right badge badge-xs badge-secondary-soft"><?php echo count_total_info($customer->id, $table, 'all'); ?></a>
                  </li>
                  <li class="list-group-item pl-3 pr-3 text-dark">
                    <span class="font-weight-bold fs-12">Pending <?php echo html_escape($text) ?></span> <a class="float-right badge badge-xs badge-secondary-soft"><?php echo count_total_info($customer->id, $table, '0'); ?></a>
                  </li>

                  <li class="list-group-item pl-3 pr-3 text-dark">
                    <span class="font-weight-bold fs-12">Paid <?php echo html_escape($text) ?></span> <a class="float-right badge badge-xs badge-secondary-soft"><?php echo count_total_info($customer->id, $table, 1); ?></a>
                  </li>
                  <li class="list-group-item pl-3 pr-3 text-dark">
                    <span class="font-weight-bold fs-12">Last <?php echo html_escape($text) ?></span>
                        <a class="float-right badge badge-xs badge-secondary-soft">
                          <?php if (!empty($values))
                            if($table=='event_booking'){
                              echo my_date_show($values[0]->booking_date);
                            }else{
                              echo my_date_show($values[0]->created_at);
                            }?>
                        </a>
                  </li>
                </ul>
              </div>
          </div>

          <div class="col-md-9">
                <div class="card pl-3">
                  <div class="card-header">
                      <ul class="nav nav-pills p-2">
                        <li class="nav-item"><a class="nav-link <?php if($type=='order'){echo 'active';} ?>" href="<?php echo base_url('admin/customers/details/'.'order'.'/'.md5($customer->id)) ?>">Orders</a></li>
                        <li class="nav-item"><a class="nav-link <?php if($type=='event'){echo 'active';} ?>" href="<?php echo base_url('admin/customers/details/'.'event'.'/'.md5($customer->id)) ?>">Events</a></li>
                        <li class="nav-item"><a class="nav-link <?php if($type=='appointment'){echo 'active';} ?>" href="<?php echo base_url('admin/customers/details/'.'appointment'.'/'.md5($customer->id)) ?>">Appointments</a></li>
                      </ul>
                  </div>

                  <?php if(!empty($values)): ?>

                    <?php if($type=='order'): ?>
                      <div class="card-body table-responsive p-0">
                        <table class="table table-hover table-valign-middle <?php if(count($values) > 10){echo "datatable";} ?>">
                          <thead>
                          <tr>
                            <th><?php echo trans('order-id') ?></th>
                            <th><?php echo trans('date') ?></th>
                            <th><?php echo trans('status') ?></th>
                            <th><?php echo trans('order-details') ?></th>
                          </tr>
                          </thead>
                          <tbody>
                            <?php foreach ($values as $order): ?>
                              <tr>
                                <td>#<?php echo html_escape($order->order_id) ?></td>


                                <td>
                                    <p class="mb-0 fs-13"> <?php echo my_date_show($order->created_at) ?></p>
                                </td>
                                <td>
                                  <?php if ($order->order_status == 0): ?>
                                    <span class="badge badge-xs badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                                  <?php elseif ($order->order_status == 1): ?>
                                    <span class="badge badge-xs badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('confirm') ?></span>
                                  <?php elseif ($order->order_status == 2): ?>
                                    <span class="badge badge-xs badge-success-soft"><i class="bi bi-truck"></i> <?php echo trans('delivered') ?></span>
                                  <?php else: ?>
                                    <span class="badge badge-xs badge-danger-soft"><i class="bi bi-x-circle"></i> <?php echo trans('cancelled') ?></span>
                                  <?php endif ?>
                                    
                                </td>
                                <td>
                                  <a href="<?php echo base_url('admin/product/order_details/'.$order->id) ?>" class="badge badge-xs badge-primary-soft"><i class="far fa-eye"></i> <?php echo trans('order-details') ?></a>
                                </td>

                                <!-- <td>

                                <?php $check_payment = False ?>
                                    <?php if ($check_payment == true): ?>
                                      <p class="mb-1 text-success fs-12 font-weight-bold"><i class="fas fa-check-circle"></i> <?php echo trans('paid') ?></p>
                                    <?php else: ?>
                                      <?php // if ($order->price != 0): ?>
                                        <p class="mb-1 text-warning fs-12 font-weight-bold"><i class="far fa-clock"></i> <?php echo trans('pending') ?></p>
                                      <?php //endif; ?>
                                    <?php endif; ?>
                                </td> -->
                                
                              </tr>
                            <?php endforeach ?>
                          </tbody>
                        </table>
                      </div>

                    <?php elseif($type=='event'): ?>
                      <div class="card-body table-responsive p-0">
                        <table class="table table-hover table-valign-middle <?php if(count($values) > 10){echo "datatable";} ?>">
                            <thead>
                                <tr class="bt-0">
                                    <th class="pl-5" scope="col">#</th>
                                    <th scope="col"><?php echo trans('booking-info') ?></th>
                                    <th scope="col"><?php echo trans('date') ?></th>
                                    <th scope="col"><?php echo trans('total') ?></th>
                                    <th scope="col"><?php echo trans('booking-status') ?></th>
                                    <th scope="col"><?php echo trans('payment-status') ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $i=1; foreach ($values as $event): ?>
                                  <tr>
                                    <td class="pl-5"><?= $i; ?></td>
                                    
                                    <td>
                                        <p class="mb-0 font-weight-bold">#<?php echo html_escape($event->booking_id) ?></p>
                                        <p class="mb-0">Event : <?php echo get_by_id($event->event_id,'events')->title ?></p>
                                        <p class="mb-0">Organizer : <?php echo get_by_id($event->event_id,'events')->organizer_name ?></p>
                                        <p class="mb-0">Venue : <?php echo get_by_id($event->event_id,'events')->venue_name ?></p>
                                    </td>


                                    <td>
                                        <p class="mb-0 fs-13"> <?php echo my_date_show($event->booking_date) ?></p>
                                    </td>

                                    <td>
                                        <p class="mb-0"><?php echo round($event->quantity) ?> <?php echo trans('person') ?> </p>
                                        <p>
                                        <?php if($company->curr_locate == 0){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                        <?php echo number_format($event->total_price, $company->num_format) ?>
                                        <?php if($company->curr_locate == 1){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                            
                                        </p>
                                    </td>

                                    <td>
                                        <?php if ($event->status == 0): ?>
                                          <span class="badge badge-xs badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                                        <?php elseif ($event->status == 1): ?>
                                          <span class="badge badge-xs badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('confirm') ?></span>
                                        <?php else: ?>
                                          <span class="badge badge-xs badge-danger-soft"><i class="bi bi-x-circle"></i> <?php echo trans('cancelled') ?></span>
                                        <?php endif; ?>
                                      </td>

                                    <td>
                                        <?php if ($event->payment_status == 0): ?>
                                          <span class="badge badge-xs badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                                        <?php else : ?>
                                          <span class="badge badge-xs badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('paid') ?></span>
                                        <?php endif; ?>
                                    </td>  
                                    
                                  </tr>
                                <?php $i++; endforeach ?>
                              </tbody>
                        </table>
                      </div>


                    <?php else: ?>
                      <div class="card-body table-responsive p-0">
                        <table class="table table-hover table-valign-middle <?php if(count($values) > 10){echo "datatable";} ?>">
                            <thead>
                                <tr class="bt-0">
                                    <th class="pl-5" scope="col">#</th>
                                    <th scope="col"><?php echo trans('booking-info') ?></th>
                                    <th scope="col"><?php echo trans('date-time') ?></th>
                                    <th scope="col"><?php echo trans('price') ?></th>
                                    <th scope="col"><?php echo trans('booking-status') ?></th>
                                    <th scope="col"><?php echo trans('payment-status') ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $i=1; foreach ($values as $appointment): ?>
                                  <tr>
                                    <td class="pl-5"><?= $i; ?></td>
                                    
                                    <td>
                                        <p class="mb-0 font-weight-bold">Booking Id : #<?php echo html_escape($appointment->number) ?></p>
                                        <p class="mb-0">Service : <?php echo get_by_id($appointment->service_id,'services')->title ?></p>
                                    </td>


                                    <td>
                                        <p class="mb-0"><?php echo my_date_show($appointment->date) ?></p>
                                        <p class="mb-0"><?php echo html_escape($appointment->time) ?></p>
                                    </td>

                                    <td>
                                        <p class="mb-0">
                                        <?php if($company->curr_locate == 0){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                        <?php echo number_format($appointment->price, $company->num_format) ?>
                                        <?php if($company->curr_locate == 1){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                            
                                        </p>
                                    </td>

                                    <td>
                                        <?php if ($appointment->status == 0): ?>
                                          <span class="badge badge-xs badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                                        <?php elseif ($appointment->status == 1): ?>
                                          <span class="badge badge-xs badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('confirm') ?></span>
                                        <?php else: ?>
                                          <span class="badge badge-xs badge-danger-soft"><i class="bi bi-x-circle"></i> <?php echo trans('cancelled') ?></span>
                                        <?php endif; ?>
                                      </td>

                                    <td>
                                        <?php if ($appointment->payment_status == 0): ?>
                                          <span class="badge badge-xs badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                                        <?php else : ?>
                                          <span class="badge badge-xs badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('paid') ?></span>
                                        <?php endif; ?>
                                    </td>   
                                    
                                  </tr>
                                <?php $i++; endforeach ?>
                              </tbody>
                        </table>
                      </div>
                    <?php endif; ?>




                  <?php else: ?>
                    <div class="card mt-5">
                      <div class="card-body mt-2 text-center p-5 pt-4">
                          <p><?php echo trans('no-data-found') ?></p>
                      </div>
                    </div>
                  <?php endif ?>
                </div>
          </div>

        </div>
    </div>
  </div>
</div>