<div class="content-wrapper">

  <!-- Content Header (Page header) -->
  <?php $this->load->view('admin/include/breadcrumb'); ?>

  <!-- Main content -->
  <div class="content">
    <div class="container-fluid">
        <div class="row">
          <div class="col-md-12">

            <div class="card add_area <?php if(!empty($page_title) && $page_title == "Edit"){echo "d-block";}else{echo "hide";} ?>">
              <div class="card-header with-border">
                <?php if (!empty($page_title) && $page_title == "Edit"): ?>
                  <h3 class="card-title"><?php echo trans('edit') ?></h3>
                <?php else: ?>
                  <h3 class="card-title"><?php echo trans('create-new') ?> </h3>
                <?php endif; ?>

                <div class="card-tools pull-right">
                  <?php if (!empty($page_title) && $page_title == "Edit"): ?>
                    <a href="<?php echo base_url('admin/event') ?>" class="pull-right btn btn-secondary btn-sm"><i class="fa fa-angle-left"></i> <?php echo trans('back') ?></a>
                  <?php else: ?>
                    <a href="#" class="text-right btn btn-secondary cancel_btn btn-sm"><?php echo trans('view') ?></a>
                  <?php endif; ?>
                </div>
              </div>

              <?php if (isset($limit) && $limit == TRUE): ?>
                <div class="empty-data text-center card-bodys bg-danger-soft">
                  <h2 class="text-danger"><i class="lni lni-ban"></i></h2>
                  <p class="text-danger fs-14"><?php echo trans('reached-maximum-limit') ?></p>
                </div>
              <?php endif ?>

              <form method="post" enctype="multipart/form-data" class="validate-form <?php if (isset($limit) && $limit == TRUE){echo 'd-none';} ?>" action="<?php echo base_url('admin/event/add')?>" role="form" novalidate>

                <div class="row">
                  <div class="col-md-8 col-sm-12">
                    <div class="card-body">

                      <div class="form-group">
                        <?php if (isset($page_title) && $page_title == "Edit"): ?>
                            <img width="200px" src="<?php echo base_url($event->image) ?>"> <br><br>
                        <?php endif ?>

                        <div class="custom-file w-50 mt-2">
                          <input type="file" class="custom-file-input" name="photo" id="customFileUp">
                          <label class="custom-file-label" for="customFileUp"><?php echo trans('upload-image') ?></label>
                        </div>
                      </div>

                      <div class="form-group">
                        <label class="col-sm-2 control-label p-0" for="example-input-normal"><?php echo trans('categories')?> <span class="text-danger">*</span></label>
                        <select class="form-control" name="category_id" required>
                          <option value=""><?php echo trans('select') ?></option>
                            <?php foreach ($categories as $category): ?>
                                <option value="<?php echo html_escape($category->id); ?>" 
                                  <?php if(!empty($event) && $event->category_id==$category->id){echo html_escape('selected');} ?>>
                                  <?php if(!empty($category)){echo html_escape($category->name);} ?>
                                </option>
                            <?php endforeach ?>
                        </select>
                      </div>
                  
                      <div class="form-group">
                        <label><?php echo trans('title') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control" name="title" value="<?php if(!empty($event)){echo html_escape($event->title);} ?>" required>
                      </div>
                  
                      <div class="form-group">
                        <label><?php echo trans('slug') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control" name="slug" value="<?php if(!empty($event)){echo html_escape($event->slug);} ?>" required>
                      </div>
                  
                      <div class="form-group">
                        <label><?php echo trans('details') ?></label>
                        <textarea class="form-control summernote"  name="details" rows="3"><?php  if(!empty($event)){echo html_escape($event->details);} ?></textarea>
                      </div>
                    </div>


                    <div class="card-body mt-3">
                      <div class="form-group">
                        <label><?php echo trans('venue_name') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control" name="venue_name" value="<?php if(!empty($event)){echo html_escape($event->venue_name);} ?>" required>
                      </div>
                  
                      <div class="form-group">
                        <label><?php echo trans('venue_phone') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control" name="venue_phone" value="<?php if(!empty($event)){echo html_escape($event->venue_phone);} ?>" required>
                      </div>
                  
                      <div class="form-group">
                        <label><?php echo trans('venue_address') ?></label>
                        <textarea class="form-control "  name="venue_address" rows="3"><?php  if(!empty($event)){echo html_escape($event->venue_address);} ?></textarea>
                      </div>
                    </div>

                    <div class="card-body mt-3">
                      <div class="form-group mb-0">
                        <div class="icheck-primary radio radio-inline d-inline mr-4 mt-2">
                          <input type="radio" id="radioPrimary1" value="1" name="status" <?php if(!empty($event) && $event->status == 1){echo "checked";} ?> <?php if (!empty($page_title) && $page_title == "Edit"){echo "checked";} ?>>
                          <label for="radioPrimary1"> <?php echo trans('show') ?>
                          </label>
                        </div>

                        <div class="icheck-primary radio radio-inline d-inline">
                          <input type="radio" id="radioPrimary2" value="0" name="status" <?php if(!empty($event) && $event->status == 0){echo "checked";} ?>>
                          <label for="radioPrimary2"> <?php echo trans('hide') ?>
                          </label>
                        </div>
                      </div>
                    </div>

                    <div class="card-footer">
                      <input type="hidden" name="id" value="<?php if(!empty($event)){echo html_escape($event->id);} ?>">
                      <!-- csrf token -->
                      <input type="hidden" name="<?php echo $this->security->get_csrf_token_name();?>" value="<?php echo $this->security->get_csrf_hash();?>">

                      <?php if (!empty($page_title) && $page_title == "Edit"): ?>
                        <button type="submit" class="btn btn-primary btn-block pull-left"><?php echo trans('save-changes') ?></button>
                      <?php else: ?>
                        <button type="submit" class="btn btn-primary btn-block pull-left"> <?php echo trans('save') ?></button>
                      <?php endif; ?>
                    </div>
                  </div> 

                  <div class="col-md-4 col-sm-12">
                    <div class="card-body">
                       <div class="form-group">
                          <label><?php echo trans('date') ?> <span class="text-danger">*</span></label>
                          <div class="input-group mb-3">
                            <span class="input-group-text" id="basic-addon2"><i class="far fa-calendar-alt"></i></span>
                            <input type="text" class="form-control datepicker" name="date" required value="<?php if(!empty($event)){echo html_escape($event->date);} ?>">
                          </div>
                        </div>
                  
                        <div class="form-group">
                          <label><?php echo trans('time') ?><span class="text-danger">*</span></label>
                          <input type="text" class="form-control" name="time" value="<?php if(!empty($event)){echo html_escape($event->time);} ?>" required>
                        </div>
                    
                        <div class="form-group">
                          <label><?php echo trans('price') ?><span class="text-danger">*</span></label>
                          <div class="input-group">
                            <span class="input-group-text" id="basic-addon1">
                              <?php echo html_escape($this->business->currency_symbol) ?>
                            </span>
                            <input type="number" class="form-control" name="price" value="<?php if(!empty($event)){echo html_escape($event->price);} ?>" required>
                          </div>
                        </div>
                    
                        <div class="form-group">
                          <label><?php echo trans('total_seat') ?><span class="text-danger">*</span></label>
                          <input type="number" class="form-control" name="total_seat" value="<?php if(!empty($event)){echo html_escape($event->total_seat);} ?>" required>
                        </div>
                    </div>

                    <div class="card-body mt-3">
                      <div class="form-group">
                        <label><?php echo trans('organizer_name') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control" name="organizer_name" value="<?php if(!empty($event)){echo html_escape($event->organizer_name);} ?>" required>
                      </div>
                  
                      <div class="form-group">
                        <label><?php echo trans('organizer_email') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control" name="organizer_email" value="<?php if(!empty($event)){echo html_escape($event->organizer_email);} ?>" required>
                      </div>
                  
                      <div class="form-group">
                        <label><?php echo trans('organizer_phone') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control" name="organizer_phone" value="<?php if(!empty($event)){echo html_escape($event->organizer_phone);} ?>" required>
                      </div>
                  
                      <div class="form-group">
                        <label><?php echo trans('organizer_website') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control" name="organizer_website" value="<?php if(!empty($event)){echo html_escape($event->organizer_website);} ?>" required>
                      </div>
                    </div>

                    <div class="card-body mt-3">
                      <div class="form-group">
                        <label><?php echo trans('tags') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control" data-role="tagsinput" name="tags" value="<?php if(!empty($event)){echo html_escape($event->tags);} ?>" required>
                      </div>
                  
                      <div class="form-group">
                        <label><?php echo trans('meta_tags') ?></label>
                        <input type="text" class="form-control" data-role="tagsinput" name="meta_tags" value="<?php if(!empty($event)){echo html_escape($event->meta_tags);} ?>">
                      </div>
                  
                      <div class="form-group">
                        <label><?php echo trans('meta_desc') ?></label>
                        <textarea class="form-control"  name="meta_desc" rows="3"><?php if(!empty($event)){echo html_escape($event->meta_desc);} ?></textarea>
                      </div>
                    </div>
                     
                  </div>  
                </div>
              </form>
            </div>

            <?php if (!empty($page_title) && $page_title != "Edit"): ?>
              <div class="card list_area">
                <div class="card-header with-border">
                  <?php if (!empty($page_title) && $page_title == "Edit"): ?>
                    <h3 class="card-title pt-2"><?php echo trans('edit') ?> <a href="<?php echo base_url('admin/gallery') ?>" class="pull-right btn btn-sm btn-primary btn-sm"><i class="fa fa-angle-left"></i> <?php echo trans('back') ?></a></h3>
                  <?php else: ?>
                    <h3 class="card-title pt-2"><?php echo trans('event') ?> </h3>
                  <?php endif; ?>

                  <div class="card-tools pull-right">
                   <a href="#" class="pull-right btn btn-sm btn-secondary add_btn"><i class="fa fa-plus"></i> <?php echo trans('create-new') ?></a>
                   <a href="#" class="filter-action pull-right btn btn-outline-primary btn-sm"><i class="fas fa-filter"></i></a>
                  </div>
                </div>

                <div class="filter_popup showFilter">
                    <p class="leads mb-3"><?php echo trans('filters') ?></p>

                    <form action="<?php echo base_url('admin/event') ?>" class="sort_form" method="get">
                      <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label><?php echo trans('') ?></label>
                                <input placeholder="" class="form-control form-control-sm" type="text" name="event" value="<?php if(!empty($_GET['event'])){echo html_escape($_GET['event']);} ?>">
                            </div>
                            <div class="form-group">
                              <select name="category" class="form-control form-control-sm nice_select small wide">
                                <option><?php echo trans('category') ?></option>
                                <?php foreach ($categories as $category): ?>
                                <option <?php if(isset($_GET['category']) && $_GET['category']==$category->id){echo "selected";} ?> value="<?php if(!empty($category)){echo html_escape($category->id);}?>"><?php echo html_escape($category->name) ?></option>
                                <?php endforeach ?>
                              </select>
                            </div>
                            <a href="<?php echo base_url('admin/event') ?>" class="btn btn-default btn-xs pull-right mt-3"><i class="fas fa-redo-alt"></i> <?php echo trans('reset') ?></a>
                        </div>

                        <div class="col-md-12 mt-3">
                          <button type="submit" class="btn btn-primary btn-sm btn-block"><?php echo trans('submit') ?></button>
                        </div>

                      </div>
                    </form>
                </div>


                <div class="card-body table-responsive p-0">

                  <table class="table table-hover text-nowrap <?php if(is_countable($events) && count($events)  > 10){echo "datatable";} ?>">
                      <thead>
                        <tr>
                          <th>#</th>
                          <th><?php echo trans('image') ?></th>
                          <th><?php echo trans('title') ?></th>
                          <th><?php echo trans('category') ?></th>
                          <th><?php echo trans('event_info') ?></th>
                          <th><?php echo trans('date') ?></th>
                          <th><?php echo trans('price') ?></th>
                          <th><?php echo trans('total_seat') ?></th>
                          <th><?php echo trans('status') ?></th>
                          <th><?php echo trans('action') ?></th>
                        </tr>
                      </thead>
                      <tbody>
                        <?php $i=1; foreach ($events as $event): ?>
                          <tr id="row_<?php echo html_escape($event->id); ?>">
                            <td><?= $i; ?></td>
                            <td><img class="feature-img" src="<?php echo base_url($event->thumb) ?>"></td>
                            <td><?php echo character_limiter($event->title, 50) ?></td>
                            <td><?php echo html_escape(get_by_id($event->category_id,'categories')->name) ?></td>
                            <td>
                              <p class="mb-0 text-dark"><?php echo trans('organizer_name') ?>: <?php echo html_escape($event->organizer_name) ?></p>
                              <p class="mb-0 text-dark"><?php echo trans('venue_name') ?>: <?php echo html_escape($event->venue_name) ?></p>
                            </td>
                            <td>
                              <p class="mb-0 "><?php echo html_escape(my_date_show($event->date))?></p>
                              <p class="mb-0 "><?php echo html_escape($event->time)?></p>
                            </td>
                            <td>
                              <?php if($this->business->curr_locate == 0){echo html_escape($this->business->currency_symbol);} ?>
                              <?php echo number_format($event->price, $this->business->num_format) ?>
                              <?php if($this->business->curr_locate == 1){echo html_escape($this->business->currency_symbol);} ?>  
                              </td>
                            <td><?php echo html_escape($event->total_seat)?></td>
                            <td>
                              <?php if ($event->status == 1): ?>
                                <span class="badge badge-success"><i class="fas fa-check-circle"></i> <?php echo trans('active') ?></span>
                              <?php else: ?>
                                <span class="badge badge-secondary"><i class="fas fa-eye-slash"></i> <?php echo trans('hidden') ?></span>
                              <?php endif ?>
                            </td>
                            <td class="actions">
                              <div class="btn-group">
                                <button type="button" class="btn btn-tool" data-toggle="dropdown" aria-expanded="false">
                                  <i class="fas fa-ellipsis-h"></i>
                                </button>
                                <div class="dropdown-menu dropdown-menu-right" role="menu" >
                                  <a href="<?php echo base_url('admin/event/edit/'.html_escape($event->id));?>" class="dropdown-item"><?php echo trans('edit') ?></a>

                                  <a data-val="Category" data-id="<?php echo html_escape($event->id); ?>" href="<?php echo base_url('admin/event/delete/'.html_escape($event->id));?>" class="dropdown-item delete_item"><?php echo trans('delete') ?></a>
                                </div>
                              </div>
                            </td>
                          </tr>
                        <?php $i++; endforeach; ?>
                      </tbody>
                  </table>
                </div>
              </div>
            <?php endif; ?>
          </div>
      </div>
    </div>
  </div>
</div>
