<div class="content-wrapper">

  <!-- Content Header (Page header) -->
  <?php $this->load->view('admin/include/breadcrumb'); ?>

  <!-- Main content -->
  <div class="content">
    <div class="container-fluid">
        <div class="row">
          <div class="col-md-12">
            <h5>Event Bookings</h5>
                <div class="card-body table-responsive p-0">
                  <table class="table table-hover text-nowrap <?php if(is_countable($bookings) && count($bookings)  > 10){echo "datatable";} ?>">
                    <thead>
                      <tr>
                        <th>#</th>
                        <th><?php echo trans('booking-id') ?></th>
                        <th><?php echo trans('customer') ?></th>
                        <th><?php echo trans('event') ?></th>
                        <th><?php echo trans('price') ?></th>
                        <th><?php echo trans('booking-date') ?></th>
                        <th><?php echo trans('payment_status') ?></th>
                        <th><?php echo trans('booking-status') ?></th>
                        <th><?php echo trans('action') ?></th>
                      </tr>
                    </thead>

                    <tbody>
                      <?php $i=1; foreach ($bookings as $booking): ?>
                        <tr id="row_<?php echo html_escape($booking->id); ?>">
                          <td><?= $i; ?></td>
                          <td>#<?php echo html_escape($booking->booking_id) ?></td>
                          <td>
                            <p class="mb-0 font-weight-bold"><?php echo get_by_id($booking->customer_id,'customers')->name ?></p>
                            <p class="mb-0 "><?php echo get_by_id($booking->customer_id,'customers')->email ?></p>
                              
                            </td>
                          <td>
                            <p class="mb-0 font-weight-bold"><?php echo html_escape($booking->title) ?></p>
                            <p><?php echo html_escape($booking->description) ?></p>  
                            </td>
                          <td>
                            <p class="mb-0">
                              <?php echo html_escape($booking->quantity) ?> person
                            </p>
                            <p class="font-weight-bold">
                              <?php if($this->business->curr_locate == 0){echo html_escape($this->business->currency_symbol);} ?>
                              <?php echo number_format($booking->total_price, $this->business->num_format) ?>
                              <?php if($this->business->curr_locate == 1){echo html_escape($this->business->currency_symbol);} ?>
                            </p>

                          </td>
                          <td><?php echo my_date_show($booking->booking_date) ?></td>

                          <td>
                              <?php if ($booking->status == 0): ?>
                                <span class="badge badge-xs badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                              <?php elseif($booking->status == 1) : ?>
                                <span class="badge badge-xs badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('confirm') ?></span>
                                <?php else: ?>
                                   <span class="badge badge-xs badge-danger-soft"><i class="fas fa-check-circle"></i> <?php echo trans('cancelled') ?></span>
                              <?php endif; ?>
                          </td>
                          <td>
                            <?php if ($booking->payment_status == 0): ?>
                              <span class="badge badge-xs badge-warning-soft"><i class="fas fa-clock"></i> <?php echo trans('pending') ?></span>
                            <?php else: ?>
                              <span class="badge badge-xs badge-success-soft"><i class="fas fa-check-circle"></i> <?php echo trans('paid') ?></span>
                            <?php endif; ?>
                          </td>

                          <td class="actions">
                              <div class="btn-group">
                                <button type="button" class="btn btn-tool" data-toggle="dropdown" aria-expanded="false">
                                  <i class="fas fa-ellipsis-h"></i>
                                </button>
                                <div class="dropdown-menu dropdown-menu-right" role="menu" >

                                  <a data-val="Category" data-id="<?php echo html_escape($booking->id); ?>" href="<?php echo base_url('admin/event/booking_delete/' . html_escape($booking->id)) ?>" class="dropdown-item delete_item"><?php echo trans('delete') ?></a>

                                  <?php if($booking->status==0): ?>
                                    <a data-val="Category" data-id="<?php echo html_escape($booking->id); ?>" href="<?php echo base_url('admin/event/booking_confirm/' . $booking->id) ?>" class="dropdown-item"><?php echo trans('confirm-booking') ?></a>

                                    <a data-val="Category" data-id="<?php echo html_escape($booking->id); ?>" href="<?php echo base_url('admin/event/booking_cancel/' . $booking->id) ?>" class="dropdown-item"><?php echo trans('cancel-booking') ?></a>
                                  <?php endif; ?>
                                </div>
                              </div>
                          </td>
                        </tr>
                      <?php $i++; endforeach; ?>
                    </tbody>
                  </table>
                </div>
              </div>
          </div>
      </div>
    </div>
  </div>
