<div class="content-wrapper">
    
    <!-- Content Header (Page header) -->
    <?php $this->load->view('admin/include/breadcrumb'); ?>

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <div class="row">
        
            <?php $this->load->view('admin/user/include/settings_menu.php'); ?>

            <div class="col-lg-9 pl-3">
                <div class="card">
                    <form method="post" enctype="multipart/form-data" action="<?php echo base_url('admin/settings/general_settings') ?>" role="form" class="form-horizontal pl-20">
                        
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card-body">
                                   
                                    <div class="form-group mb-4">
                                        <label><?php echo trans('time-zone') ?></label>
                                        <select class="cus_lh select2 w-100" name="time_zone">
                                            <option value=""><?php echo trans('select') ?></option>
                                            <?php foreach ($time_zones as $time): ?>
                                                <option value="<?php echo html_escape($time->id); ?>" 
                                                    <?php echo ($this->business->time_zone == $time->id) ? 'selected' : ''; ?>>
                                                    <?php echo html_escape($time->name); ?>
                                                </option>
                                            <?php endforeach ?>
                                        </select>
                                    </div>

                                    <div class="form-group mb-4 <?php if(settings()->enable_wallet == 1){echo "hide";} ?>">
                                        <label><?php echo trans('currency') ?></label>
                                        <select class="form-control" name="country">
                                            <option value=""><?php echo trans('select') ?></option>
                                            <?php foreach ($currencies as $currency): ?>
                                                <?php if (!empty($currency->currency_name)): ?>
                                                  <option value="<?php echo html_escape($currency->id); ?>" 
                                                    <?php echo ($this->business->country == $currency->id) ? 'selected' : ''; ?>>
                                                    <?php echo html_escape($currency->name.'  -  '.$currency->currency_code.' ('.$currency->currency_symbol.')'); ?>
                                                  </option>
                                                <?php endif ?>
                                            <?php endforeach ?>
                                        </select>
                                    </div>

                                    <div class="form-group">
                                        <label><?php echo trans('currency-position') ?></label>
                                        <select class="form-control" name="curr_locate">
                                            <option value=""><?php echo trans('select') ?></option>
                                            <option value="0" <?php if($company->curr_locate == 0){echo "selected";} ?>>$ <?php echo number_format('500', $company->num_format) ?> </option>
                                            <option value="1" <?php if($company->curr_locate == 1){echo "selected";} ?>><?php echo number_format('500', $company->num_format) ?> $</option>
                                        </select>
                                    </div>

                                    <div class="form-group">
                                        <label><?php echo trans('number-format') ?></label>
                                        <select class="form-control" name="num_format">
                                            <option value=""><?php echo trans('select') ?></option>
                                            <option value="0" <?php if($company->num_format == 0){echo "selected";} ?>>100 </option>
                                            <option value="2" <?php if($company->num_format == 2){echo "selected";} ?>>100.00</option>
                                        </select>
                                    </div>

                                    <div class="form-group mb-4">
                                        <label><?php echo trans('date-format') ?></label>
                                        <select class="form-control" name="date_format">
                                            <option value=""><?php echo trans('select') ?></option>
                                            <option <?php echo ($this->business->date_format == 'd-m-Y') ? 'selected' : ''; ?> value="d-m-Y"><?php echo date('d-m-Y') ?> (d-m-Y)</option>
                                            <option <?php echo ($this->business->date_format == 'Y-m-d') ? 'selected' : ''; ?> value="Y-m-d"><?php echo date('Y-m-d') ?> (Y-m-d)</option>
                                            <option <?php echo ($this->business->date_format == 'd/m/Y') ? 'selected' : ''; ?> value="d/m/Y"><?php echo date('d/m/Y') ?> (d/m/Y)</option>
                                            <option <?php echo ($this->business->date_format == 'Y/m/d') ? 'selected' : ''; ?> value="Y/m/d"><?php echo date('Y/m/d') ?> (Y/m/d)</option>
                                            <option <?php echo ($this->business->date_format == 'd.m.Y') ? 'selected' : ''; ?> value="d.m.Y"><?php echo date('d.m.Y') ?> (d.m.Y)</option>
                                            <option <?php echo ($this->business->date_format == 'Y.m.d') ? 'selected' : ''; ?> value="Y.m.d"><?php echo date('Y.m.d') ?> (Y.m.d)</option>
                                            <option <?php echo ($this->business->date_format == 'd M Y') ? 'selected' : ''; ?> value="d M Y"><?php echo date('d M Y') ?> (d M Y)</option>
                                        </select>
                                    </div>

                                    <div class="form-group mb-4">
                                        <label><?php echo trans('time-format') ?></label>
                                        <select class="form-control" name="time_format">
                                            <option value=""><?php echo trans('select') ?></option>
                                            <option <?php echo ($this->business->time_format == 'hh') ? 'selected' : ''; ?> value="hh"> 12 <?php echo trans('hours') ?></option>
                                            <option <?php echo ($this->business->time_format == 'HH') ? 'selected' : ''; ?> value="HH">24 <?php echo trans('hours') ?></option>
                                        </select>
                                    </div>
                  
                                    <div class="form-group">
                                        <label><?php echo trans('pagination-limit') ?></label>
                                        <input type="number" class="form-control" name="pagination_limit" value="<?php if(isset($this->business->pagination_limit)){echo html_escape($this->business->pagination_limit);} ?>" >
                                    </div>
                            
                                    <div class="d-hides form-group">
                                      <label><?php echo trans('site-color') ?></label>
                                      <input type="text" name="site_color" value="<?php if(isset($this->business->color)){echo html_escape($this->business->color);} ?>" class="form-control w-50 colorpicker d-block mb-3" autocomplete="off" >
                                    </div>

                                    
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="card-body">
                                    
                                    <?php if (settings()->site_info == 2): ?>
                                        
                                    
                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxPrimary5" name="enable_payment" value="1" <?php if($company->enable_payment == 1){echo "checked";}; ?>>
                                        <label for="checkboxPrimary5"> <span class="smalls"><?php echo trans('enable-online-payment') ?> </span>
                                            <p><small><?php echo trans('enable-online-title') ?></small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxPrimary6" name="enable_onsite" value="1" <?php if($company->enable_onsite == 1){echo "checked";}; ?>>
                                        <label for="checkboxPrimary6"> <span class="smalls"><?php echo trans('enable-offline-payment') ?> </span>
                                            <p><small><?php echo trans('enable-offline-title') ?></small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <?php else: ?>

                                        <input type="hidden" name="enable_payment" value="0">
                                        <input type="hidden" name="enable_onsite" value="1">

                                    <?php endif ?>


                                    <div class="form-group mb-1 d-none">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxPrimary3" name="enable_rating" value="1" <?php if($company->enable_rating == 1){echo "checked";}; ?>>
                                        <label for="checkboxPrimary3"> <span class="smalls"><?php echo trans('enable-ratings') ?> </span>
                                            <p><small><?php echo trans('enable-ratings-title') ?></small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1 d-none">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxPrimary1" name="enable_staff" value="1" <?php if($company->enable_staff == 1){echo "checked";}; ?>>
                                        <label for="checkboxPrimary1"> <span class="smalls"><?php echo trans('enable-staff') ?> </span>
                                            <p><small><?php echo trans('enable-staff-title') ?></small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxPrimary2" name="enable_gallery" value="1" <?php if($company->enable_gallery == 1){echo "checked";}; ?>>
                                        <label for="checkboxPrimary2"> <span class="smalls"><?php echo trans('enable-gallery') ?> </span>
                                            <p><small><?php echo trans('enable-gallery-title') ?></small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1 d-none">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxPrimary7" name="enable_guest" value="1" <?php if($company->enable_guest == 1){echo "checked";}; ?>>
                                        <label for="checkboxPrimary7"> <span class="smalls"><?php echo trans('enable-guest-booking') ?> </span>
                                            <p><small><?php echo trans('enable-guest-booking-title') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxblog" name="enable_blog" value="1" <?php if($company->enable_blog == 1){echo "checked";}; ?> >
                                        <label for="checkboxblog"> <span class="smalls"><?php echo trans('enable-blogs') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-blogs-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxportfolio" name="enable_portfolio" value="1" <?php if($company->enable_portfolio == 1){echo "checked";}; ?> >
                                        <label for="checkboxportfolio"> <span class="smalls"><?php echo trans('enable-portfolios') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-portfolio-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxproduct" name="enable_product" value="1" <?php if($company->enable_product == 1){echo "checked";}; ?> >
                                        <label for="checkboxproduct"> <span class="smalls"><?php echo trans('enable-products') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-product-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxevent" name="enable_event" value="1" <?php if($company->enable_event == 1){echo "checked";}; ?> >
                                        <label for="checkboxevent"> <span class="smalls"><?php echo trans('enable-events') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-events-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxappointment" name="enable_appointment" value="1" <?php if($company->enable_appointment == 1){echo "checked";}; ?> >
                                        <label for="checkboxappointment"> <span class="smalls"><?php echo trans('enable-appointments') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-appointments-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxteam" name="enable_team" value="1" <?php if($company->enable_team == 1){echo "checked";}; ?> >
                                        <label for="checkboxteam"> <span class="smalls"><?php echo trans('enable-teams') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-team-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxcounter" name="enable_counter" value="1" <?php if($company->enable_counter == 1){echo "checked";}; ?> >
                                        <label for="checkboxcounter"> <span class="smalls"><?php echo trans('enable-counters') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-counters-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div> 

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxcareer" name="enable_career" value="1" <?php if($company->enable_career == 1){echo "checked";}; ?> >
                                        <label for="checkboxcareer"> <span class="smalls"><?php echo trans('enable-careers') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-careers-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxservice" name="enable_service" value="1" <?php if($company->enable_service == 1){echo "checked";}; ?> >
                                        <label for="checkboxservice"> <span class="smalls"><?php echo trans('enable-services') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-services-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxquote" name="enable_quote" value="1" <?php if($company->enable_quote == 1){echo "checked";}; ?> >
                                        <label for="checkboxquote"> <span class="smalls"><?php echo trans('enable-quotes') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-quotes-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxfaq" name="enable_faq" value="1" <?php if($company->enable_faq == 1){echo "checked";}; ?> >
                                        <label for="checkboxfaq"> <span class="smalls"><?php echo trans('enable-faq') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-faqs-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    <div class="form-group mb-1">
                                      <div class="icheck-success d-inline">
                                        <input type="checkbox" id="checkboxtestimonial" name="enable_testimonial" value="1" <?php if($company->enable_testimonial == 1){echo "checked";}; ?> >
                                        <label for="checkboxtestimonial"> <span class="smalls"><?php echo trans('enable-testimonials') ?> </span>
                                            <p><small><?php echo trans('enable-to-show-testimonials-page-on-front-end') ?> </small></p>
                                        </label>
                                      </div>
                                    </div>

                                    
                                </div>
                            </div>
                        </div>

                        <div class="card-footer">
                            <input type="hidden" name="id" value="<?php echo html_escape($company->id); ?>">
                            <!-- csrf token -->
                            <input type="hidden" name="<?php echo $this->security->get_csrf_token_name();?>" value="<?php echo $this->security->get_csrf_hash();?>">
                            <button type="submit" class="btn btn-primary mt-2"><?php echo trans('save-changes') ?></button>
                        </div>
                    </form>
                </div>
            </div>

        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content -->
</div>
