<div class="content-wrapper">

  <!-- Content Header (Page header) -->
  <?php $this->load->view('admin/include/breadcrumb'); ?>

  <!-- Main content -->
  <div class="content">
    <div class="container-fluid">
        <div class="row">
          <div class="col-md-12">
            <h5>Job Applicants</h5>
                <div class="card-body table-responsive p-0">
                  <table class="table table-hover text-nowrap <?php if(is_countable($applicants) && count($applicants)  > 10){echo "datatable";} ?>">
                    <thead>
                      <tr>
                        <th>#</th>
                        <th><?php echo trans('applicant') ?></th>
                        <th><?php echo trans('job') ?></th>
                        <th><?php echo trans('message') ?></th>
                        <th><?php echo trans('expected-salary') ?></th>
                        <th><?php echo trans('apply-date') ?></th>
                        <th><?php echo trans('file') ?></th>
                        <th><?php echo trans('status') ?></th>
                        <th><?php echo trans('action') ?></th>
                      </tr>
                    </thead>

                    <tbody>
                      <?php $i=1; foreach ($applicants as $applicant): ?>
                        <tr id="row_<?php echo html_escape($applicant->id); ?>">
                          <td><?= $i; ?></td>
                          <td>
                            <p class="font-weight-bold mt-0 mb-0"><?php echo html_escape($applicant->applicant_name) ?></p>
                            <p class="mb-0"><?php echo html_escape($applicant->applicant_email) ?></p> 
                          </td>
                          <td>
                            <p class="font-weight-bold mt-0 mb-0"><?php echo html_escape($applicant->title) ?></p>
                            <p class="mb-0"><?php echo html_escape($applicant->category_name) ?></p>
                              
                          </td>
                          <td><?php echo html_escape($applicant->applicant_message) ?></td>
                          <td>
                            <?php if($this->business->curr_locate == 0){echo html_escape($this->business->currency_symbol);} ?>
                            <?php echo number_format($applicant->expected_salary, $this->business->num_format) ?>
                            <?php if($this->business->curr_locate == 1){echo html_escape($this->business->currency_symbol);} ?>  
                          </td>
                          <td><?php echo my_date_show($applicant->apply_date) ?></td>
                          <td>
                            <a class="btn btn-primary btn-sm" href="<?php echo base_url('admin/job/download/'.html_escape($applicant->id));?>"><i class="fas fa-download"></i></a>
                            <a target="_blank" class="btn btn-secondary btn-sm" href="<?php echo base_url($applicant->file) ?>"><i class="fas fa-eye"></i></a>
                          </td>

                          <td>
                              <?php if ($applicant->status == 0): ?>
                                <span class="badge badge-xs badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                              <?php elseif($applicant->status == 1) : ?>
                                <span class="badge badge-xs badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('accepted') ?></span>
                                <?php else: ?>
                                   <span class="badge badge-xs badge-danger-soft"><i class="fas fa-check-circle"></i> <?php echo trans('rejected') ?></span>
                              <?php endif; ?>
                          </td>

                          <td class="actions">
                              <div class="btn-group">
                                <button type="button" class="btn btn-tool" data-toggle="dropdown" aria-expanded="false">
                                  <i class="fas fa-ellipsis-h"></i>
                                </button>
                                <div class="dropdown-menu dropdown-menu-right" role="menu" >

                                  <a data-val="Category" data-id="<?php echo html_escape($applicant->id); ?>" href="<?php echo base_url('admin/job/applicant_delete/' . html_escape($applicant->id)) ?>" class="dropdown-item delete_item"><?php echo trans('delete') ?></a>

                                  <?php if($applicant->status==0): ?>
                                    <a data-val="Category" data-id="<?php echo html_escape($applicant->id); ?>" href="<?php echo base_url('admin/job/accept_apply/' . $applicant->id) ?>" class="dropdown-item"><?php echo trans('accept-application') ?></a>

                                    <a data-val="Category" data-id="<?php echo html_escape($applicant->id); ?>" href="<?php echo base_url('admin/job/reject_apply/' . $applicant->id) ?>" class="dropdown-item"><?php echo trans('reject-application') ?></a>
                                  <?php endif; ?>
                                </div>
                              </div>
                          </td>
                        </tr>
                      <?php $i++; endforeach; ?>
                    </tbody>
                  </table>
                </div>
              </div>
          </div>
      </div>
    </div>
  </div>
