<div class="content-wrapper">

  <!-- Content Header (Page header) -->
  <?php $this->load->view('admin/include/breadcrumb'); ?>

  <!-- Main content -->
  <div class="content">
    <div class="container-fluid">
        <div class="row">
          <div class="col-md-12">

            <div class="card add_area <?php if(!empty($page_title) && $page_title == "Edit"){echo "d-block";}else{echo "hide";} ?>">
              <div class="card-header with-border">
                <?php if (!empty($page_title) && $page_title == "Edit"): ?>
                  <h3 class="card-title"><?php echo trans('edit') ?></h3>
                <?php else: ?>
                  <h3 class="card-title"><?php echo trans('create-new') ?> </h3>
                <?php endif; ?>

                <div class="card-tools pull-right">
                  <?php if (!empty($page_title) && $page_title == "Edit"): ?>
                    <a href="<?php echo base_url('admin/service') ?>" class="pull-right btn btn-secondary btn-sm"><i class="fa fa-angle-left"></i> <?php echo trans('back') ?></a>
                  <?php else: ?>
                    <a href="#" class="text-right btn btn-secondary cancel_btn btn-sm"><?php echo trans('view') ?></a>
                  <?php endif; ?>
                </div>
              </div>

              <?php if (isset($limit) && $limit == TRUE): ?>
                <div class="empty-data text-center card-bodys bg-danger-soft">
                  <h2 class="text-danger"><i class="lni lni-ban"></i></h2>
                  <p class="text-danger fs-14"><?php echo trans('reached-maximum-limit') ?></p>
                </div>
              <?php endif ?>

              <form method="post" enctype="multipart/form-data" class="validate-form <?php if (isset($limit) && $limit == TRUE){echo 'd-none';} ?>" action="<?php echo base_url('admin/service/add')?>" role="form" novalidate>


                <div class="row">
                  <div class="col-md-8 col-sm-12">
                    <div class="card-body">
                    
                      <div class="form-group">
                        <?php if (isset($page_title) && $page_title == "Edit"): ?>
                            <img width="200px" src="<?php echo base_url($service->image) ?>"> <br><br>
                        <?php endif ?>

                        <div class="custom-file w-50 mt-2">
                          <input type="file" class="custom-file-input" name="photo" id="customFileUp">
                          <label class="custom-file-label" for="customFileUp"><?php echo trans('upload-image') ?></label>
                        </div>
                      </div>

                      <div class="form-group">
                        <label class="col-sm-2 control-label p-0" for="example-input-normal"><?php echo trans('categories') ?> <span class="text-danger">*</span></label>
                        <select class="form-control" name="category_id" required>
                          <option value=""><?php echo trans('select') ?></option>
                            <?php foreach ($categories as $category): ?>
                              <option value="<?php echo html_escape($category->id); ?>" 
                                <?php if(!empty($service) && $service->category_id == $category->id){echo html_escape('selected');} ?>>
                                <?php if(!empty($category)){echo html_escape($category->name);} ?>
                              </option>
                            <?php endforeach ?>
                        </select>
                      </div>
                    
                      <div class="form-group">
                        <label><?php echo trans('title') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control" name="title" value="<?php if(!empty($service)){echo html_escape($service->title);} ?>" required>
                      </div>
                    
                      <div class="form-group">
                        <label><?php echo trans('slug') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control" name="slug" value="<?php if(!empty($service)){echo html_escape($service->slug);} ?>" required>
                      </div>
                
                      <div class="form-group">
                        <label><?php echo trans('details') ?></label>
                        <textarea class="form-control summernote"  name="details" rows="6"><?php if(!empty($service)){echo html_escape($service->details);} ?></textarea>
                      </div>
                    </div>

                    
                  </div>


                  <div class="col-md-4 col-sm-12">
                    <div class="card-body">
                      <div class="form-group">
                        <label><?php echo trans('icon') ?><span class="text-danger">*</span></label>
                        <input type="text" class="form-control iconpicker" name="icon" value="<?php if(!empty($service)){echo html_escape($service->icon);} ?>" required>
                      </div>
                  
                      <div class="form-group">
                        <label><?php echo trans('order') ?></label>
                        <input type="text" class="form-control" name="order" value="<?php if(!empty($service)){echo html_escape($service->order);} ?>">
                      </div>
                    </div>


                    <?php if (check_feature_access('appointments') == TRUE): ?>
                      <div class="card-body mt-3">

                        <div class="form-group mb-1">
                          <div class="icheck-success d-inline">
                            <input type="checkbox" id="checkboxPrimary4" name="enable_booking" class="toggle_check_btn" value="1" <?php if(isset($service)&& $service->enable_booking == 1){echo "checked";} ?>>
                            <label for="checkboxPrimary4"> <span class="smalls">Add this service to booking </span>
                                <p><small><?php echo trans('enable-booking-title') ?></small></p>
                            </label>
                          </div>
                        </div>

                        <div class="<?php if($service->enable_booking!=1){echo 'd-hide';} ?> toggle_area">
                          <div class="form-group ">
                            <label><?php echo trans('price') ?> <span class="text-danger">*</span></label>
                            <div class="input-group">
                              <input type="text" class="form-control" name="price" value="<?php if(!empty($service)){echo html_escape($service->price);} ?>" >
                              <div class="input-group-append">
                                <span class="input-group-text"><?php echo html_escape($this->business->currency_symbol) ?></span>
                              </div>
                            </div>
                            <p class="text-muted small pt-2"><i class="fas fa-info-circle"></i> <?php echo trans('set-0-for-free') ?></p>
                          </div>

                          <div class="form-group">
                            <label><?php echo trans('duration') ?> <span class="text-danger">*</span></label>
                            <div class="input-group">
                              
                                <div>
                                  <select class="form-control cus-ra-left duration_type" name="duration_type">
                                      <option value="minute" <?php if(isset($service->duration_type) && $service->duration_type == 'minute'){echo "selected";} ?> <?php if (isset($page_title) && $page_title != "Edit"){echo "selected";} ?>><?php echo trans('minute') ?></option>
                                      <option value="hour" <?php if(isset($service->duration_type) && $service->duration_type == 'hour'){echo "selected";} ?>><?php echo trans('hour') ?></option>
                                  </select>
                                </div>

                                <input type="number" class="form-control cus-ra-right duration_input" name="duration" value="<?php if(isset($service->duration)){echo html_escape($service->duration);} ?>"  <?php if(isset($service->duration_type) && $service->duration_type == 'day'){echo "disabled";} ?>>
                                
                            </div>
                          </div>
                        </div>
                        
                      </div>
                    <?php endif; ?>


                    <div class="card-body mt-3">
                      <div class="form-group mb-0">
                        <div class="icheck-primary radio radio-inline d-inline mr-4 mt-2">
                          <input type="radio" id="radioPrimary1" value="1" name="status" <?php if(!empty($service) && $service->status == 1){echo "checked";} ?> <?php if (!empty($page_title) && $page_title == "Edit"){echo "checked";} ?>>
                          <label for="radioPrimary1"> <?php echo trans('show') ?>
                          </label>
                        </div>

                        <div class="icheck-primary radio radio-inline d-inline">
                          <input type="radio" id="radioPrimary2" value="0" name="status" <?php if(!empty($service) && $service->status == 0){echo "checked";} ?>>
                          <label for="radioPrimary2"> <?php echo trans('hide') ?>
                          </label>
                        </div>
                      </div>
                    </div>
                      <div class="card-footer">
                        <input type="hidden" name="id" value="<?php if(!empty($service)){echo html_escape($service->id);} ?>">
                        <!-- csrf token -->
                        <input type="hidden" name="<?php echo $this->security->get_csrf_token_name();?>" value="<?php echo $this->security->get_csrf_hash();?>">

                        <?php if (!empty($page_title) && $page_title == "Edit"): ?>
                          <button type="submit" class="btn btn-primary btn-block pull-left"><?php echo trans('save-changes') ?></button>
                        <?php else: ?>
                          <button type="submit" class="btn btn-primary btn-block pull-left"> <?php echo trans('save') ?></button>
                        <?php endif; ?>
                      </div>
                  </div>
                </div>
              </form>
            </div>


            <?php if (!empty($page_title) && $page_title != "Edit"): ?>
              <div class="card list_area">
                <div class="card-header with-border">
                  <?php if (!empty($page_title) && $page_title == "Edit"): ?>
                    <h3 class="card-title pt-2"><?php echo trans('edit') ?> <a href="<?php echo base_url('admin/gallery') ?>" class="pull-right btn btn-sm btn-primary btn-sm"><i class="fa fa-angle-left"></i> <?php echo trans('back') ?></a></h3>
                  <?php else: ?>
                    <h3 class="card-title pt-2"><?php echo trans('service') ?> </h3>
                  <?php endif; ?>

                  <div class="card-tools pull-right">
                   <a href="#" class="pull-right btn btn-sm btn-secondary add_btn"><i class="fa fa-plus"></i> <?php echo trans('create-new') ?></a>
                  </div>
                </div>

                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap <?php if(is_countable($services) && count($services)  > 10){echo "datatable";} ?>">
                      <thead>
                        <tr>
                          <th>#</th>
                          <th><?php echo trans('image') ?></th>
                          <th><?php echo trans('title') ?></th>
                          <th><?php echo trans('category') ?></th>
                          <th><?php echo trans('icon') ?></th>
                          <th><?php echo trans('status') ?></th>
                          <th><?php echo trans('action') ?></th>
                        </tr>
                      </thead>
                      <tbody>
                        <?php $i=1; foreach ($services as $service): ?>
                          <tr id="row_<?php echo html_escape($service->id); ?>">
                            <td><?= $i; ?></td>
                            <td>
                              <?php if (!empty($service->thumb)): ?>
                                <img class="feature-img" src="<?php echo base_url($service->thumb) ?>">
                              <?php endif ?>
                            </td>
                            <td><?php echo html_escape($service->title) ?></td>
                            <td>
                              <?php echo html_escape(get_by_id($service->category_id,'categories')->name) ?>
                            </td>
                            <td><i class="<?php echo html_escape($service->icon) ?> fa-2x"></i></td>
                            <td>
                              <?php if ($service->status == 1): ?>
                                <span class="badge badge-success"><i class="fas fa-check-circle"></i> <?php echo trans('active') ?></span>
                              <?php else: ?>
                                <span class="badge badge-secondary"><i class="fas fa-eye-slash"></i> <?php echo trans('hidden') ?></span>
                              <?php endif ?>
                            </td> 
                            <td class="actions">
                              <div class="btn-group">
                                <button type="button" class="btn btn-tool" data-toggle="dropdown" aria-expanded="false">
                                  <i class="fas fa-ellipsis-h"></i>
                                </button>
                                <div class="dropdown-menu dropdown-menu-right" role="menu" >
                                  <a href="<?php echo base_url('admin/service/edit/'.html_escape($service->id));?>" class="dropdown-item"><?php echo trans('edit') ?></a>

                                  <a data-val="Category" data-id="<?php echo html_escape($service->id); ?>" href="<?php echo base_url('admin/service/delete/'.html_escape($service->id));?>" class="dropdown-item delete_item"><?php echo trans('delete') ?></a>
                                </div>
                              </div>
                            </td>
                          </tr>
                        <?php $i++; endforeach; ?>
                      </tbody>
                    </table>
                </div>
              </div>
            <?php endif; ?>
          </div>
      </div>
    </div>
  </div>
</div>
