<?php include"topbar.php"; ?>

<section class="pt-0 cus-account">
    <div class="container cw-14">
        <div class="row mb-100">
            <div class="col-md-3">
                <?php include'side_menu.php'; ?>
            </div>

            <div class="col-md-9 mt--110">
                <div class="card shadow-sm br-10 over-hiddens mb-4">
                    <div class="card-header bg-white px-5 py-2 mt-3">
                        <div class="row">
                            <div class="col-md-6">
                                <h5 class="card-title font-weight-normal"><?php echo trans('appointments') ?> <span class="count"><?php echo count($appointments) ?></span> </h5>
                            </div>
                            
                            <div class="col-md-6 d-none">
                                <form class="sort_form" method="get" action="<?php echo base_url('customer/appointments') ?>">
                                    <div class="input-group mt--8">
                                        <input type="text" class="form-control daterange" name="daterange" aria-describedby="button-addon2" autocomplete="off" placeholder="Select date">
                                        <div class="input-group-append">
                                            <button class="btn btn-secondary sort_btn" type="button" id="button-addon2"><i class="fas fa-search"></i> </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            
                        </div>
                    </div>

                    <?php if (empty($appointments)): ?>
                        <?php $this->load->view('include/not_found_msg'); ?>
                    <?php else: ?>  
                    <div class="card-body bg-white p-0 table-responsive">
                        <table class="table table-hover <?php if(count($appointments) > 10){echo "datatable";} ?>">
                            <thead class="thead-light">
                                <tr class="bt-0">
                                    <th class="pl-5" scope="col">#</th>
                                    <th scope="col"><?php echo trans('booking-info') ?></th>
                                    <th scope="col"><?php echo trans('date-time') ?></th>
                                    <th scope="col"><?php echo trans('price') ?></th>
                                    <th scope="col"><?php echo trans('booking-status') ?></th>
                                    <th scope="col"><?php echo trans('payment-status') ?></th>
                                    <th scope="col"><?php echo trans('action') ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $i=1; foreach ($appointments as $appointment): ?>
                                  <tr>
                                    <td class="pl-5"><?= $i; ?></td>
                                    
                                    <td>
                                        <p class="mb-0 font-weight-bold">Booking Id : #<?php echo html_escape($appointment->number) ?></p>
                                        <p class="mb-0">Service : <?php echo get_by_id($appointment->service_id,'services')->title ?></p>
                                    </td>


                                    <td>
                                        <p class="mb-0"><?php echo my_date_show($appointment->date) ?></p>
                                        <p class="mb-0"><?php echo html_escape($appointment->time) ?></p>
                                    </td>

                                    <td>
                                        <p class="mb-0">
                                        <?php if($company->curr_locate == 0){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                        <?php echo number_format($appointment->price, $company->num_format) ?>
                                        <?php if($company->curr_locate == 1){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                            
                                        </p>
                                    </td>

                                    <td>
                                        <?php if ($appointment->status == 0): ?>
                                          <span class="badge badge-xs badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                                        <?php elseif ($appointment->status == 1): ?>
                                          <span class="badge badge-xs badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('confirm') ?></span>
                                        <?php else: ?>
                                          <span class="badge badge-xs badge-danger-soft"><i class="bi bi-x-circle"></i> <?php echo trans('cancelled') ?></span>
                                        <?php endif; ?>
                                      </td>

                                    <td>
                                        <?php if ($appointment->payment_status == 0): ?>
                                          <span class="badge badge-xs badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                                        <?php else : ?>
                                          <span class="badge badge-xs badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('paid') ?></span>
                                        <?php endif; ?>
                                    </td>
                                    <?php if($appointment->payment_status==0): ?>
                                        <td>
                                            <?php if ($appointment->price != 0 ): ?>
                                                <span>
                                                    <a data-toggle="tooltip" data-title="<?php echo trans('complete-your-payment') ?>" data-placement="left" class="btn btn-light-primary btn-sm" data-id="<?php echo html_escape($appointment->id) ?>" href="<?php echo base_url('customer/payment/'.md5($appointment->id).'/service') ?>"><i class="fas fa-credit-card"></i>
                                                    </a>
                                                </span>
                                            <?php endif ?>
                                            <?php if($appointment->status !=2): ?>
                                                <span>
                                                    <a class="btn btn-sm btn-danger cancel-status" data-id="<?php echo html_escape($appointment->id) ?>" href="<?php echo base_url('customer/cancel/'.md5($appointment->id) .'/appointments'.'/'.'2') ?>"><i class="bi bi-x"></i>  
                                                    </a>
                                                </span>
                                            <?php endif; ?>
                                        </td>
                                    <?php endif; ?>    
                                    
                                  </tr>
                                <?php $i++; endforeach ?>
                              </tbody>
                        </table>
                    </div>
                    <?php endif ?>
                    
                </div>
            </div>
        </div>
    </div>
</seciton>

