<?php include"topbar.php"; ?>

<section class="pt-0 cus-account">
    <div class="container cw-14">
        <div class="row mb-100">
            <div class="col-md-3">
                <?php include'side_menu.php'; ?>
            </div>

            <div class="col-md-9 mt--110">
                <div class="card shadow-sm br-10 over-hiddens mb-4">
                    <div class="card-header bg-white px-5 py-2 mt-3">
                        <div class="row">
                            <div class="col-md-6">
                                <h5 class="card-title font-weight-normal"><?php echo trans('events') ?> <span class="count"><?php echo count($events) ?></span> </h5>
                            </div>
                            
                            <div class="col-md-6 d-none">
                                <form class="sort_form" method="get" action="<?php echo base_url('customer/events') ?>">
                                    <div class="input-group mt--8">
                                        <input type="text" class="form-control daterange" name="daterange" aria-describedby="button-addon2" autocomplete="off" placeholder="Select date">
                                        <div class="input-group-append">
                                            <button class="btn btn-secondary sort_btn" type="button" id="button-addon2"><i class="fas fa-search"></i> </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            
                        </div>
                    </div>

                    <?php if (empty($events)): ?>
                        <?php $this->load->view('include/not_found_msg'); ?>
                    <?php else: ?>  
                    <div class="card-body bg-white p-0 table-responsive">
                        <table class="table table-hover <?php if(count($events) > 10){echo "datatable";} ?>">
                            <thead class="thead-light">
                                <tr class="bt-0">
                                    <th class="pl-5" scope="col">#</th>
                                    <th scope="col"><?php echo trans('booking-info') ?></th>
                                    <th scope="col"><?php echo trans('date') ?></th>
                                    <th scope="col"><?php echo trans('total') ?></th>
                                    <th scope="col"><?php echo trans('booking-status') ?></th>
                                    <th scope="col"><?php echo trans('payment-status') ?></th>
                                    <th scope="col"><?php echo trans('action') ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $i=1; foreach ($events as $event): ?>
                                  <tr>
                                    <td class="pl-5"><?= $i; ?></td>
                                    
                                    <td>
                                        <p class="mb-0 font-weight-bold">#<?php echo html_escape($event->booking_id) ?></p>
                                        <p class="mb-0">Event : <?php echo get_by_id($event->event_id,'events')->title ?></p>
                                        <p class="mb-0">Organizer : <?php echo get_by_id($event->event_id,'events')->organizer_name ?></p>
                                        <p class="mb-0">Venue : <?php echo get_by_id($event->event_id,'events')->venue_name ?></p>
                                    </td>


                                    <td>
                                        <p class="mb-0 fs-13"> <?php echo my_date_show($event->booking_date) ?></p>
                                    </td>

                                    <td>
                                        <p class="mb-0"><?php echo round($event->quantity) ?> <?php echo trans('person') ?> </p>
                                        <p>
                                        <?php if($company->curr_locate == 0){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                        <?php echo number_format($event->total_price, $company->num_format) ?>
                                        <?php if($company->curr_locate == 1){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                            
                                        </p>
                                    </td>

                                    <td>
                                        <?php if ($event->status == 0): ?>
                                          <span class="badge badge-xs badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                                        <?php elseif ($event->status == 1): ?>
                                          <span class="badge badge-xs badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('confirm') ?></span>
                                        <?php else: ?>
                                          <span class="badge badge-xs badge-danger-soft"><i class="bi bi-x-circle"></i> <?php echo trans('cancelled') ?></span>
                                        <?php endif; ?>
                                      </td>

                                    <td>
                                        <?php if ($event->payment_status == 0): ?>
                                          <span class="badge badge-xs badge-warning-soft"><i class="bi bi-clock mr-1"></i><?php echo trans('pending') ?></span>
                                        <?php else : ?>
                                          <span class="badge badge-xs badge-primary-soft"><i class="fas fa-check-circle"></i> <?php echo trans('paid') ?></span>
                                        <?php endif; ?>
                                    </td>
                                    <?php if($event->payment_status==0): ?>
                                        <td>
                                            <?php if ($event->total_price != 0 && $event->payment_type=='online'): ?>
                                                <span>
                                                    <a data-toggle="tooltip" data-title="<?php echo trans('complete-your-payment') ?>" data-placement="left" class="btn btn-light-primary btn-sm" data-id="<?php echo html_escape($event->id) ?>" href="<?php echo base_url('customer/payment/'.md5($event->id).'/event') ?>"><i class="fas fa-credit-card"></i>
                                                    </a>
                                                </span>
                                            <?php endif; ?>
                                            <?php if($event->status !=2): ?>
                                                <span>
                                                    <a class="btn btn-sm btn-danger cancel-status" data-id="<?php echo html_escape($event->id) ?>" href="<?php echo base_url('customer/cancel/'.md5($event->id) .'/event_booking'.'/'.'2') ?>"><i class="bi bi-x">   </i>  
                                                    </a>
                                                </span>
                                            <?php endif; ?>
                                        </td>
                                    <?php endif; ?>    
                                    
                                  </tr>
                                <?php $i++; endforeach ?>
                              </tbody>
                        </table>
                    </div>
                    <?php endif; ?>
                    
                </div>
            </div>
        </div>
    </div>
</seciton>

