    <section class="border-bottom border-light py-8 py-lg-10">
        <div class="container">
            <div class="row align-items-center justify-content-center">
                <div class="col-md-12 col-lg-6 order-md-1 pr-lg-5 pr-xl-0 mb-8 mb-lg-0">
                    <p class="badge badge-secondary-soft badge-square fs-12 mb-3" data-aos="zoom-in">Multipurpose Website management system</p>
                    <h1 data-aos="fade-left" data-aos-delay="250" class="display-5 w-lg-80 font-weight-bold custom-fonts1">
                        Create your Business Website within a few Minutes.
                    </h1>
                   
                    <p data-aos="fade-left" data-aos-delay="250" class="text-muted fs-18 mt-3 mb-5 <?php if(text_dir() == 'rtl'){echo "pl-15";}else{echo "pr-15";} ?>"><?php echo html_escape(settings()->description) ?></p>
                    
                    <?php if (settings()->trial_days != 0): ?>
                        <div class="lift-sm mb-2" data-aos="fade-left" data-aos-delay="100">
                            <a href="<?php echo base_url('register?trial=start') ?>" class="btn btn-lg btn-primary mt-3 fs-14"><?php echo trans('get-started') ?> <i class="pl-1 pt-1 bi bi-arrow-right"></i></a>
                        </div>
                        <p class="text-muted mt-2 fs-12" data-aos="zoom-in">Start free trial. * No credit card required.</p>
                    <?php endif ?>
                </div>

                <div class="col-md-12 col-lg-6 order-md-2 pl-3">
                    <div class="banner-img" data-aos="zoom-in">
                        <img src="<?php echo base_url(settings()->hero_img) ?>" class="text-right w-lg-90" alt="Hero Image">
                    </div>
                </div>
            </div>
        </div>
    </section>


    <!-- Workflow -->
    <?php if (settings()->enable_workflow == 1): ?>
    <section>
        <div class="container">
            <div class="w-md-80 w-lg-50 text-center mx-auto mb-8 mb-lg-10" data-aos="fade-up">
                <span class="badge badge-primary-soft badge-square mb-3"><?php echo trans('workflow') ?></span>
                <h1 class="text-dark font-weight-bold mx-auto mb-1"><?php echo trans('workflow-title') ?></h2>
            </div>

            <div class="row">
                <?php $w=1; foreach ($workflows as $workflow): ?>
                    <div class="col-md-4 mb-7 mb-md-0" data-aos="zoom-in-up" data-aos-delay="150">
                        <div class="text-center m-2 p-5 <?php if($w==2){echo "shadow-workflow";} ?>">
                            <div class="mb-5 workflow-img"><img class="display-5" src="<?php echo base_url($workflow->image) ?>" alt="Image"></div>

                            <h1 class="text-primary">0<?php echo html_escape($w) ?></h1>
                            <h5 class="mb-2 mx-auto text-dark"><?php echo html_escape($workflow->title) ?></h5>
                            <p><?php echo html_escape($workflow->details) ?></p>
                        </div>
                    </div>
                <?php $w++; endforeach ?>
            </div>
        </div>
    </section>
    <?php endif; ?>
    <!-- End Workflow -->




    <!-- features -->
    <?php if (!empty($features)): ?>
        <section class="pt-6 pt-md-5 pt-xl-0 mt-8">

            <div class="container mt-5">
                <?php $i=1; foreach ($features as $feature): ?>
                    <div class="row align-items-center justify-content-center mt-6 mb-6" data-aos="fade-<?php if ($i % 2 == 0){echo 'left';}else{echo 'right';} ?>">
                        <?php if ($i % 2 == 0): ?>
                            <div class="col-10 col-sm-9 col-md-6 col-lg-7 text-center pr-md-5 pr-lg-10 mb-5 mb-md-0">
                                <img src="<?php echo base_url($feature->image) ?>" class="screen-one w-90" alt="Feature Image">
                            </div>

                            <div class="col-md-6 col-lg-5">
                                <h4 class="h3 mb-4 custom-fonts"><?php echo html_escape($feature->name); ?></h4>
                                <p class="leads mb-6"><?php echo html_escape($feature->details); ?></p>
                            </div>
                        <?php else: ?>
                            <div class="col-md-6 col-lg-5 order-2 order-md-1">
                                <h4 class="h3 mb-4 custom-fonts"><?php echo html_escape($feature->name); ?></h4>
                                <p class="leads mb-6"><?php echo html_escape($feature->details); ?></p>
                            </div>

                            <div class="col-10 col-sm-9 col-md-6 col-lg-7 text-center mb-5 mb-md-0 pl-md-5 pl-lg-10 order-1 order-md-2">
                                <img src="<?php echo base_url($feature->image) ?>" class="screen-one w-90" alt="Feature Image">
                            </div>
                        <?php endif ?>
                    </div>
                <?php $i++; endforeach; ?>
            </div>
        </section>
    <?php endif; ?>
    <!-- features -->


    <!-- Testimonials -->
    <?php if (!empty($testimonials)): ?>
        <section class="bg-light">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 text-center mb-5">
                        <p class="badge-primary-soft badge badge-square">Testimonials</p>
                        <h1 class="text-dark font-weight-bold w-lg-40 mx-auto mb-5"><?php echo trans('testimonial-title') ?> <b class="text-primary"><?php echo settings()->site_name ?></b></h1>
                    </div>
                    <div class="col-md-12">
                        <div class="testimonial owl-carousel owl-theme">
                            <?php if(!empty($testimonials)): ?>
                                <?php foreach ($testimonials as $testimonial): ?>
                                    <div class="card shadow-none border-1 h-100 bg-lights mr-2 round-1">
                                        <div class="card-body testimonial-box">
                                            <div class="text-center mb-3">
                                                <div class="text-center pt-3">
                                                    <img src="<?php echo base_url($testimonial->image) ?>" class="rounded-circle md-avatar tes-img m-auto" alt="<?php echo html_escape($testimonial->name) ?>">
                                                    <div class="mt-3">
                                                        <h5 class="mb-0 text-dark"><?php echo html_escape($testimonial->name) ?></h5>
                                                        <p class="text-muted mb-2">
                                                            <?php echo html_escape($testimonial->designation) ?>
                                                        </p>
                                                    </div>
                                                </div>

                                                <div class="pl-4 pr-4 pt-0">
                                                    <h6 class="text-dark font-weight-normal"> <?php echo html_escape($testimonial->feedback) ?></h6>
                                                </div>
                                            </div>
                                            
                                        </div>
                                    </div>
                                <?php endforeach ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </section>

       
    <?php endif ?>
    <!-- Testimonials -->


    <!-- Blog -->
    <?php if (settings()->enable_blog == 1 && !empty($posts)): ?>
        <section class="bg-lights pt-6">
            <div class="container">
                <div class="w-md-80 w-lg-50 text-center mx-auto mb-8 mb-lg-10" data-aos="fade-up">
                    <span class="badge badge-primary-soft badge-square mb-3"><?php echo trans('blogs') ?></span>
                    <h1 class="text-dark font-weight-bold mx-auto mb-1"><?php echo trans('learn-more-empower-yourself') ?></h2>
                </div>

                <div class="row">
                    <?php $b=1; foreach ($posts as $post): ?>
                        <?php include'include/blog_post_item.php'; ?>
                    <?php $b++; endforeach ?>
                </div>
            </div>
        </section>
    <?php endif ?>
    <!-- End Blog -->

    <section class="get_started">
        <div class="container">
            <div class="row justify-content-center">
            <div class="text-center  pb-5 pt-5">
                <h3 class="h1 mb-1 mt-0 text-dark font-weight-normal custom-fontss" data-aos="fade-up" data-aos-delay="100">Get started for free today</h3>
                <p class="text-muted mb-5" data-aos="fade-up" data-aos-delay="200"><?php echo trans('sign-up-for-our-14-day-trial-with-all-features') ?>.</p>
                <a href="<?php echo base_url('register?trial=start') ?>" class="btn btn-primary rounded-pill lift" data-aos="fade-up" data-aos-delay="300"><?php echo trans('get-started') ?> <i class="bi bi-arrow-right"></i></a>
            </div>
            </div>
        </div>
    </section>