<?php 
        $footer_type = 'dark';
        $footer_text = 'gray';
    ?>

    <footer class="bg-<?php echo html_escape($footer_type) ?> position-relative pt-0">

        <div class="footer-about-1 position-absulate container mt-10 pt-15 pb-15 jarallax overlay overlay-purple overlay-90" data-jarallax data-speed="0.8" style="background-image: url(<?php echo base_url('assets/images/contact.jpg') ?>);">

            <div class="row d-flex align-items-center">
                <div class="col-sm-12 col-md-5">
                    <h3 class="text-light font-weight-bold mb-3 w-70 pl-lg-10">Want to get a free consultation?</h3>
                </div>

                <div class="col-sm-12 col-md-3">
                    <p class="mb-2 font-weight-bold text-light"><i class="fas fa-map-marker-alt text-warning mr-2 my-1 my-sm-0"></i> +88018776655</p>

                    <p class="mb-0 font-weight-bold text-light"><i class="fas fa-envelope text-warning mr-2 my-1 my-sm-0"></i> test@mail.com</p>
                </div>

                <div class="col-sm-12 col-md-4 text-center">
                    <a href="<?php echo base_url('contacts/'.$slug) ?>" class="btn btn-warning rounded-pill btn-lg lift-sm"><i class="bi bi-telephone"></i> Contact</a>
                </div>
           
            </div>
        </div>


        <div class="container">
            <div class="row pb-8 pb-lg-10">

                <div class="col-sm-6 col-md-3 mb-3 mb-lg-0">
                    <?php if(!empty($company->logo)): ?>
                        <img width="150px" src="<?php echo base_url($company->logo) ?>" class="mb-2 w-40 w-sm-45 w-md-35 w-lg-40" alt="Logo">
                    <?php endif ; ?>
                    <ul class="list-unstyled p-0 m-0">
                        <?php if(!empty($company->address)): ?>
                            <li class="pb-2 text-<?php echo html_escape($footer_text) ?>">
                                <i class="bi bi-geo-alt mr-2"></i>
                                <span class="text-<?php echo html_escape($footer_text) ?>"><?php echo html_escape($company->address) ?></span>
                            </li>
                        <?php endif ; ?>

                        <?php if(!empty($company->phone)): ?>
                            <li class="pb-2 text-<?php echo html_escape($footer_text) ?>">
                                <i class="bi bi-telephone mr-2"></i>
                                <span class="text-<?php echo html_escape($footer_text) ?>"><?php echo html_escape($company->phone) ?></span>
                            </li>
                        <?php endif ; ?>

                        <?php if(!empty($company->email)): ?>
                            <li class="text-<?php echo html_escape($footer_text) ?>">
                                <i class="bi bi-envelope mr-2"></i>
                                <span class="text-<?php echo html_escape($footer_text) ?>"><?php echo html_escape($company->email) ?></span>
                            </li>
                        <?php endif ; ?>
                    </ul>

                    <div class="mt-3">
                        <ul class="list-unstyled social-icon3 p-0 m-0">
                            <?php if(!empty($company->facebook)): ?>
                                <li>
                                    <a href="<?php echo prep_url($company->facebook) ?>" target="_blank"><i class="fab fa-facebook-f"></i></a>
                                </li>
                            <?php endif ; ?>

                            <?php if(!empty($company->twitter)): ?>
                                <li>
                                    <a href="<?php echo prep_url($company->twitter) ?>" target="_blank"><i class="fab fa-twitter"></i></a>
                                </li>
                            <?php endif ; ?>

                            <?php if(!empty($company->whatsapp)): ?>
                                <li>
                                    <a href="<?php echo prep_url($company->whatsapp) ?>" target="_blank"><i class="fab fa-whatsapp"></i></a>
                                </li>
                            <?php endif ; ?>

                            <?php if(!empty($company->instagram)): ?>
                                <li>
                                    <a href="<?php echo prep_url($company->instagram) ?>" target="_blank"><i class="fab fa-instagram"></i></a>
                                </li>
                            <?php endif ; ?>
                        </ul>
                    </div>

                </div>

                <div class="col-sm-6 col-md-3 mb-5 mb-lg-0">
                    <?php if (!empty($services)): ?>
                    <h6 class="font-weight-normals mb-3 text-light">Services</h6>
                    <ul class="list-unstyled p-0 m-0">
                        <?php $services = get_services($company->uid, 1) ?>
                        <?php foreach ($services as $service): ?>
                            <li class="pb-1"><a href="<?php echo base_url('service/'). $service->slug . '/' . $slug ?>" class="text-<?php echo html_escape($footer_text) ?> hover-white"><?php echo html_escape($service->title) ?></a></li>
                        <?php endforeach ?>
                    </ul>
                    <?php endif ?>
                </div>

                <div class="col-sm-6 col-md-3 mb-5 mb-sm-0">
                    <div class="pl-0 pl-lg-5 pl-xl-8">
                        <h6 class="font-weight-normals mb-3 text-light">About</h6>
                        <ul class="list-unstyled p-0 m-0">
                            <li class="pb-1"><a href="<?php echo base_url('abouts/'.$slug) ?>" class="text-<?php echo html_escape($footer_text) ?> hover-white">About Us</a></li>
                            <?php if (check_user_feature_access($company->user_id, 'blogs') == TRUE && $company->enable_blog == TRUE): ?>
                            <li class="py-1"><a href="<?php echo base_url('blogs/'.$slug) ?>" class="text-<?php echo html_escape($footer_text) ?> hover-white">Blog</a></li>
                            <?php endif; ?>

                            <?php if (check_user_feature_access($company->user_id, 'career') == TRUE && $company->enable_career == TRUE): ?>
                            <li class="py-1"><a href="<?php echo base_url('careers/'.$slug) ?>" class="text-<?php echo html_escape($footer_text) ?> hover-white">Career</a></li>
                            <?php endif; ?>
                            
                            <li class="pt-1"><a href="<?php echo base_url('contacts/'.$slug) ?>" class="text-<?php echo html_escape($footer_text) ?> hover-white">Contact</a></li>
                        </ul>
                    </div>
                </div>

                <div class="col-sm-6 col-md-3 mb-5 mb-sm-0">
                    <?php if (!empty($pages)): ?>
                    <div class="pl-0 pl-lg-5 pl-xl-8">
                        <h6 class="font-weight-normals mb-3 text-light">Pages</h6>
                        <ul class="list-unstyled p-0 m-0">
                            <?php $pages = get_pages($company->uid, 'user',1) ?>
                            <?php foreach ($pages as $page): ?>
                                <li class="pb-1"><a href="<?php echo base_url('page/'.$slug . '/' . $page->slug) ?>" class="text-<?php echo html_escape($footer_text) ?> hover-white"><?php echo html_escape($page->title) ?></a></li>
                            <?php endforeach ?>
                        </ul>
                    </div>
                    <?php endif ?>
                </div>

               
            </div>

        </div>

        <div class="text-center xs-font-size13 border-top py-4 border-light-white">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <p class="text-<?php echo html_escape($footer_text) ?> mb-0">&copy; Copyright Cavistar 2020. All Rights Reserved.</p>
                    </div>
                </div>
            </div>
        </div>
    </footer>