
<?php $this->load->view('include/banner'); ?>

<section>
    <div class="container">

        <div class="row">
            <div class="col-lg-8 pr-5">
                <div class="details-img" style="background-image: url(<?php echo base_url($post->image) ?>);"></div>
                <p class="mt-8 fs-20 text-dark">
                    <span class="mr-3"><?php echo get_by_id($post->category_id,'categories')->name; ?></span>
                    <span><?php echo my_date_show($post->created_at) ?></span>
                </p>
                <h1 class="mb-5 mt-3"><?php echo html_escape($post->title) ?></h1>
                <p><?php echo strip_tags($post->details) ?></p>

                <?php if (!empty($post->tags)): ?>
                    <div class="my-6 my-md-11">
                        <div class="h5"><?php echo trans('tags') ?>:</div>
                        <?php $tags = explode(",", $post->tags);  ?>
                        <?php foreach ($tags as $tag): ?>
                            <span  class="badge badge-light">#<?php echo html_escape($tag) ?></span>
                        <?php endforeach ?>
                    </div>
                <?php endif ?>
            </div>

            <div class="col-lg-4">
                <div class="category-list">
                    <ul class="list-group">
                        <li class="list-group-item d-flex justify-content-start align-items-center bg-light">
                            <p class="mb-0 text-dark fs-18">Categories</p>
                        </li>

                        <?php foreach ($categories as $category): ?>
                          <li class="list-group-item d-flex justify-content-between align-items-center">
                            <a class="text-dark" href="<?php echo base_url('blogs/'. $slug) ?>?category=<?php echo html_escape($category->id) ?>"><?php echo html_escape($category->name) ?></a>
                            <span class="badge badge-primary badge-pill"><?php echo get_count_by_id($category->id,'blogs') ?></span>
                          </li>
                        <?php endforeach ?>
                    </ul>
                </div>

                <div class="popular-post mt-5">
                    <h5 class="mb-4">Popular Posts</h5>
                    <?php foreach ($popular_blogs as $popular_blog): ?>
                    <div class="row mb-3">
                            <div  class="col-sm-4">
                                <img class="popular-img border-light " src="<?php echo base_url($popular_blog->image) ?>" alt="...">
                            </div>

                            <div class="col-sm-8">
                                <a href="<?php echo base_url('blog/'). $popular_blog->slug . '/' . $slug   ?>">
                                    <p class="mb-2 fs-14 text-dark font-weight-bold"><?php echo character_limiter($popular_blog->title, 60) ?></p>
                                </a>
                                <p class="mb-0 fs-12">
                                    <span class="mr-3"><i class="far fa-calendar-alt"></i> <?php echo my_date_show($popular_blog->created_at) ?></span>
                                    <span><i class="fas fa-eye"></i> <?php echo html_escape($popular_blog->total_views) ?></span>
                                </p>
                            </div>
                    </div>
                    <?php endforeach ?>
                </div>
            </div>

        </div>
    </div>
</section>

<section class="bg-light">
    <div class="container">

        <div class="row mb-5 text-center">
            <div class="col">
                <h3>Related Posts</h3>
            </div>
        </div>

        <div class="row">
            <?php if(empty($related_blogs)): ?>
                <?php $this->load->view('include/not_found_msg'); ?>
            <?php else: ?>
                <?php foreach ($related_blogs as $blog): ?>
                    <?php include APPPATH.'views/include/blog_item_1.php'; ?>
                <?php endforeach ?>
            <?php endif; ?>
        </div>
    </div>
</section>


<section>
    <div class="container">
        <div class="row justify-content-between">
            <div class="col-md-9">
                <div class="w-100 w-md-90">
                    <h3><?php echo trans('leave-a-reply') ?></h3>
                    <form method="post" action="<?php echo base_url('company/comment_add/' . $slug) ?>">
                        <div class="form-row">
                            <div class="col-sm">
                                <div class="form-group">
                                    <input type="text" class="form-control" name="name" placeholder="Your Name" required>
                                </div>
                            </div>
                            <div class="col-sm">
                                <div class="form-group">
                                    <input type="email" class="form-control" name="email" placeholder="Email Address" required>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <textarea name="message" rows="6" class="form-control" placeholder="Your message" required></textarea>
                        </div>
                        <div>
                            <input type="hidden" name="post_id" value="<?php echo html_escape($post->id) ?>">
                            <button class="btn btn-primary btn-wide" type="submit"><?php echo trans('submit') ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <div class="row justify-content-between">
            <div class="col-md-9">
                <div class="w-100 w-lg-90 my-6 my-lg-9">
                    <h3>Comments-<?php echo count($comments) ?></h3>
                    <ul class="m-0 p-0">
                        <?php foreach ($comments as $comment): ?>
                            <li class="media mt-6">
                                <a href="#">
                                    <img class="sm-avatar mr-3 border-light rounded-circle" src="http://doxe.originlabsoft.com/uploads/medium/anna-pelzer-IGfIGP5ONV0-unsplash_medium-1200x800.jpg" alt="...">
                                </a>
                                <div class="media-body">
                                    <h4 class="h6 mb-1"><?php echo html_escape($comment->name) ?><span class="small ml-2 text-muted"><?php echo get_time_ago($comment->created_at) ?></span></h4>
                                    <p class="mb-1">
                                        <?php echo html_escape($comment->message) ?>
                                    </p>
                                </div>
                            </li>
                        <?php endforeach ?>
                    </ul>
                </div>
            </div>
        </div>

    </div>
</section>