<section class="jarallax overlay overlay-black overlay-60" data-jarallax data-speed="0.8" style="background-image: url(<?php echo base_url($company->breadcrumb_banner) ?>);">

    <div class="container pt-8 pb-8">

        <div class="row">
            <div class="col-md-9">
                <h2 class="mb-0 text-light"><?php echo html_escape($single_career->title) ?></h2>
                <span class="fs-20 text-warning"><?php echo html_escape($single_career->position) ?></span>

                <span class="dot"></span>

                <span class="fs-20 text-warning">
                    <?php if ($single_career->employment_status == 1): ?>
                        Full Time
                    <?php elseif($single_career->employment_status == 2): ?>
                        Part Time
                    <?php else: ?>
                        Project Based
                    <?php endif ?>
                </span>
            </div>

            <div class="col-md-3 text-right mt-2">
                <?php if($single_career->deadline >= date('Y-m-d')): ?>
                    <a class="btn btn-primary job_apply_button" href="#">Apply</a>
                    <a class="btn btn-success btn-md overview_button d-hide" href="#">Overview</a>
                <?php else : ?>
                    <span class="btn btn-danger pl-3 pr-3 mr-2">Expired</span>
                <?php endif; ?>
                <span><a class="btn btn-secondary" href="<?php echo base_url('careers/'.$slug) ?>"></i>Back</a></span>
            </div>
        </div>
    </div>
</section>

<section class="job_overview_area">
    <div class="container">
        <div class="row ">
            <div class="col-md-8 pr-7">
                <?php if(!empty($single_career->contexts)): ?>
                    <div class="mb-5">
                        <div>
                            <h4>Contexts</h4>
                            <p><?php echo strip_tags($single_career->contexts) ?></p>
                        </div>
                    </div>
                <?php endif; ?>

                <?php if(!empty($single_career->responsibility)): ?>
                    <div class="mb-5">
                        <div>
                            <h4>Responsibility</h4>
                            <p><?php echo strip_tags($single_career->responsibility) ?></p>
                        </div>
                    </div>
                <?php endif; ?>

                <?php if(!empty($single_career->educations)): ?>
                    <div class="mb-5">
                        <div>
                            <h4>Educational Requirement</h4>
                            <p><?php echo strip_tags($single_career->educations) ?></p>
                        </div>
                    </div>
                <?php endif; ?>

                <?php if(!empty($single_career->experiences)): ?>
                    <div class="mb-5">
                        <div>
                            <h4>Experience Requirement</h4>
                            <p><?php echo strip_tags($single_career->experiences) ?></p>
                        </div>
                    </div>
                <?php endif; ?>

                <?php if(!empty($single_career->additional_requirements)): ?>
                    <div class="mb-5">
                        <div>
                            <h4>Additional Requirement</h4>
                            <p><?php echo strip_tags($single_career->additional_requirements) ?></p>
                        </div>
                    </div>
                <?php endif; ?>

                <?php if(!empty($single_career->benefits)): ?>
                    <div class="mb-5">
                        <div>
                            <h4>Benefits</h4>
                            <p><?php echo strip_tags($single_career->benefits) ?></p>
                        </div>
                    </div>
                <?php endif; ?>
            </div>

            <div class="col-md-4">
               <div class="job-info">
                    <ul class="list-group">
                    
                      <li class="list-group-item  align-items-center">
                        <p class="mt-0 mb-1 font-weight-bold fs-18 text-dark">Company</p>
                        <p class="mt-0 mb-0"><?php echo html_escape($single_career->company_name) ?></p>
                      </li>

                      <li class="list-group-item align-items-center">
                        <p class="mt-0 mb-1 font-weight-bold fs-18 text-dark">Job Category</p>
                        <p class="mt-0 mb-0"><?php echo get_by_id($single_career->category_id,'categories')->name; ?></p>
                      </li>

                      <li class="list-group-item align-items-center">
                        <p class="mt-0 mb-1 font-weight-bold fs-18 text-dark">Position</p>
                        <p class="mt-0 mb-0"><?php echo html_escape($single_career->position) ?></p>
                      </li>

                      <li class="list-group-item align-items-center">
                        <p class="mt-0 mb-1 font-weight-bold fs-18 text-dark">Location</p>
                        <p class="mt-0 mb-0"><?php echo html_escape($single_career->location) ?></p>
                      </li>

                      <li class="list-group-item align-items-center">
                        <p class="mt-0 mb-1 font-weight-bold fs-18 text-dark">Vacancy</p>
                        <p class="mt-0 mb-0"><?php echo html_escape($single_career->vacancy) ?></p>
                      </li>

                      <li class="list-group-item align-items-center">
                        <p class="mt-0 mb-1 font-weight-bold fs-18 text-dark">Salary</p>
                        <p class="mt-0 mb-0"><?php echo html_escape($single_career->salary) ?></p>
                      </li>

                      <li class="list-group-item align-items-center">
                        <p class="mt-0 mb-1 font-weight-bold fs-18 text-dark">Deadline</p>
                        <p class="mt-0 mb-0"><?php echo my_date_show($single_career->deadline) ?></p>
                      </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="job_apply_area hide">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-9">

                <!-- Form -->
                <div class="border border-light bg-white py-6 px-4 px-lg-6 rounded">
                    <form action="<?php echo base_url('company/career_apply/' . $slug) ?>" method="post" enctype="multipart/form-data">
                        <h3 class="h2 text-center pb-4 text-primary border-bottom border-light mb-6">Ready to apply?</h3>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group mb-5">
                                    <label>Aplicant Name</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" name="aplicant_name" placeholder="Name" required>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group mb-5">
                                    <label>Email</label>
                                    <div class="input-group">
                                        <input type="email" class="form-control" name="email" placeholder="Email" required>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group mb-5">
                                    <label>Applicant Message</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" name="applicant_message" placeholder="message" required>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group mb-5">
                                    <label>Expected Salery</label>
                                    <div class="input-group">
                                        <div class="input-group">
                                        <input type="number" class="form-control" name="expected_salery" placeholder="" required>
                                    </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group mb-5">
                                    <label>Resume/CV</label>
                                    <div class="input-group">
                                        <div class="custom-file">
                                            <input type="file" class="custom-file-input" name="file" required>
                                            <label class="custom-file-label" data-browse="Browse">Choose file</label>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12 text-center">
                                <input type="hidden" name="id" value="<?php echo html_escape($single_career->id) ?>">
                                <button type="submit" class="btn btn-primary btn-wide btn-md mb-0">Apply Now</button>
                            </div>

                        </div>

                    </form>
                </div>
                <!-- End Form -->

            </div>
        </div>
    </div>
</section>

