 <?php $this->load->view('include/banner'); ?>

 <section class="border-top border-light">
    <div class="container">

        <?php if(empty($careers)): ?>
            <?php $this->load->view('include/not_found_msg'); ?>
        <?php else: ?>

        <div class="row justify-content-center mb-7">
            <div class="col-md-6 text-center mb-4">
                <h3 class="font-weight-normal line-height-base">Recruiting, job listing & careers. Check out all our open spots below.</h3>
            </div>
            <div class="col-md-10">
                <form method="get" action="<?php echo base_url('careers/' .$slug)?>">
                    <div class="d-flex justify-content-between">
                        <div class="input-group ie-width-80 mr-4">
                            <input type="text" class="form-control" name="career" id="search" placeholder="Search" value="<?php if(!empty($_GET['career'])){echo html_escape($_GET['career']);} ?>">
                        </div>

                        <select class="form-select form-control nice_select wide mr-4" name="career_category">
                          <option>Select category</option>
                                <?php foreach ($categories as $category): ?>
                                <option <?php if(isset($_GET['career_category']) && $_GET['career_category']==$category->id){echo "selected";} ?> value="<?php if(!empty($category)){echo html_escape($category->id);}?>"><?php echo html_escape($category->name) ?></option>
                                <?php endforeach ?>
                        </select>

                        <select class="form-control nice_select wide" name="career_type">
                          <option value="">Select type</option>
                          <option <?php if(!empty($_GET['career_type']) && $_GET['career_type'] ==1){echo 'selected';} ?> value="1" >
                            <?php echo trans('full-time') ?>
                          </option>
                          <option <?php if(!empty($_GET['career_type']) && $_GET['career_type'] ==2){echo 'selected';} ?> value="2" >
                            <?php echo trans('part-time') ?>
                          </option>
                          <option <?php if(!empty($_GET['career_type']) && $_GET['career_type'] ==3){echo 'selected';} ?> value="3">
                            <?php echo trans('project-based') ?>
                          </option>
                        </select>

                        <button type="submit" class="btn btn-primary text-nowrap ml-4 mb-0">
                            <span class="fas fa-search mr-2"></span> Search
                        </button>
                    </div>
                </form>

            </div>
        </div>

        <!-- Position -->
        <div class="row justify-content-center">
            <div class="col-lg-10 mt-5">
                <?php foreach ($careers as $career): ?>
                    <a class="card text-dark mb-5 transition-hover" href="<?php echo base_url('career/'). $career->slug . '/' . $slug ?>">
                        <div class="card-body py-3 px-4">
                            <div class="row justify-content-sm-between align-items-sm-center">
                                <div class="col-sm-6 col-xl-7 mb-2 mb-sm-0">
                                    <p class="fs-18 mb-0"><?php echo html_escape($career->title) ?></p>
                                    <p class="text-gray mb-0"><?php echo html_escape($career->position) ?></p>
                                </div>
                                <div class="col-sm-3 mb-2 mb-sm-0 text-secondary">
                                    <span class="mb-0 fs-12 badge badge-square badge-secondary-soft">
                                        <?php if ($career->employment_status == 1): ?>
                                            Full Time
                                        <?php elseif($career->employment_status == 2): ?>
                                            Part Time
                                        <?php else: ?>
                                            Project Based
                                        <?php endif ?>
                                    </span>
                                    <p class="mb-0 text-dark"><?php echo html_escape($career->location) ?> </p>
                                </div>
                                <div class="col-sm-3 col-xl-2 text-primary text-sm-right">
                                    Apply now &rarr;
                                </div>
                            </div>
                        </div>
                    </a>
                <?php endforeach ?>
            </div>
        </div>
        <!-- End Position -->
        <?php endif; ?>

    </div>
    <div class="mt-4 ">
      <?php echo $this->pagination->create_links(); ?>
    </div>
</section>