<section class="jarallax overlay overlay-black overlay-60" data-jarallax data-speed="0.8" style="background-image: url(<?php echo base_url($company->breadcrumb_banner) ?>);">

    <div class="container pt-8 pb-8">
        <div class="row">
            <div class="col-md-9">
                <h3 class="mb-2 text-light"><?php echo html_escape($single_event->title) ?></h3>
                <p class="mb-0 fs-18 text-warning">
                    <span class="mr-3"><i class="bi bi-calendar2-check"></i> <?php echo my_date_show($single_event->date) ?></span>
                    <span class="mr-3"><i class="bi bi-person-badge"></i> <?php echo html_escape($single_event->total_seat) ?> Seats</span>
                    <span class="mr-3"><i class="bi bi-geo-alt"></i> <?php echo html_escape($single_event->venue_name) ?></span>
                </p>
            </div>


            <div class="col-md-3 pt-3">
                
                <?php if($single_event->date >= date('Y-m-d')): ?>
                    <a class="btn btn-primary" href="<?php echo base_url('company/event_submit/'.$single_event->id.'/' . $slug.'?type=login') ?>">Book a Ticket</a>
                <?php else : ?>
                    <span class="btn btn-danger pl-3 pr-3 mr-2">Expired</span>
                <?php endif; ?>
                <span><a class="btn btn-light " href="<?php echo base_url('events/'.$slug) ?>"></i>Back</a></span>
            </div>
        </div>
    </div>
</section>

<section>
    <div class="container">

        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="row mb-6">
                    <div class="col-12">
                        <div class="details-img mb-5" style="background-image: url(<?php echo base_url($single_event->image) ?>);"></div>
                        <h4 class="mb-5 text-dark"><?php echo html_escape($single_event->title) ?></h4>
                        <?php if(!empty($single_event->details)): ?>
                            <p class="mt-5"><?php echo strip_tags($single_event->details) ?></p>
                        <?php endif; ?>
                    </div>
                </div>
                
                <div class="venue-info p-3 bg-light">
                    <h4>Venue info</h4>
                    <ul class="list-unstyled mb-0 p-0">
                        <li class="py-2">
                            <div class="d-flex">
                                <span class="sidebar-icon mr-3">
                                    <i class="bi bi-house"></i>
                                </span> 
                                <span class="mt-3"><?php echo html_escape($single_event->venue_name) ?></span>
                            </div>
                        </li>
                        <li class="py-2">
                            <div class="d-flex">
                                <span class="sidebar-icon mr-3">
                                    <i class="bi bi-telephone"></i>
                                </span> 
                                <span class="mt-3"><?php echo html_escape($single_event->venue_phone) ?></span>
                            </div>
                        </li>
                        <?php if(!empty($single_event->venue_address)): ?>
                            <li class="py-2">
                                <div class="d-flex">
                                    <span class="sidebar-icon mr-3">
                                        <i class="bi bi-geo-alt"></i>
                                    </span> 
                                    <span class="mt-3"><?php echo html_escape($single_event->venue_address) ?></span>
                                </div>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>

            <div class="col-md-4">
                <?php if($single_event->date >= date('Y-m-d')): ?>
                    <div class="sidebar-info pl-4 mb-5 mt-0">
                        <div class="sidebar-item">
                            <div class="sidebar-item-row d-flex justify-content-start bg-primary-soft">
                                <div class="sidebar-item-info">
                                    <p class="mb-0 text-dark fs-18 pt-2 pb-2">Event Countdown</p>
                                </div>
                            </div>

                            <div class="sidebar-item-row d-flex justify-content-start bg-primary text-white">
                                <div class="sidebar-item-info">
                                    <div id="countdown" align="center"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>

                <div class="sidebar-info pl-4 mb-5 mt-0">

                    <div class="sidebar-item">

                        <div class="sidebar-item-row d-flex justify-content-start bg-grey">
                            <div class="sidebar-item-info">
                                <p class="mb-0 text-dark fs-18 pt-2 pb-2">Event Info</p>
                            </div>
                        </div>

                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-calendar"></i>
                            </div>


                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">Date</p>
                                <p class="mb-0 sidebar-item-info"><?php echo my_date_show($single_event->date) ?></p>
                            </div>
                        </div>

                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-clock"></i>
                            </div>


                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">Time</p>
                                <p class="mb-0 sidebar-item-info"><?php echo html_escape($single_event->time) ?></p>
                            </div>
                        </div>

                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-currency-dollar"></i>
                            </div>
                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">Price</p>
                                <p class="mb-0 sidebar-item-info">
                                    <?php if($company->curr_locate == 0){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                    <?php echo number_format($single_event->price, $company->num_format) ?>
                                    <?php if($company->curr_locate == 1){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="sidebar-info pl-4 mb-5 mt-3">
                   
                    <div class="sidebar-item">
                        <div class="sidebar-item-row d-flex justify-content-start bg-grey">
                            <div class="sidebar-item-info">
                                <p class="mb-0 text-dark fs-18 pt-2 pb-2">Organaizer Info</p>
                            </div>
                        </div>

                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-person-circle"></i>
                            </div>

                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">Name</p>
                                <p class="mb-0 sidebar-item-info"><?php echo html_escape($single_event->organizer_name) ?></p>
                            </div>
                        </div>

                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-at fa-1x text-danger"></i>
                            </div>


                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">Email</p>
                                <p class="mb-0 sidebar-item-info"><?php echo html_escape($single_event->organizer_email) ?></p>
                            </div>
                        </div>

                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-telephone"></i>
                            </div>


                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">Contact</p>
                                <p class="mb-0 sidebar-item-info"><?php echo html_escape($single_event->organizer_phone) ?></p>
                            </div>
                        </div>

                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-link"></i>
                            </div>


                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">Website</p>
                                <p class="mb-0"><a target="blank_" href="<?php echo prep_url($single_event->organizer_website) ?>"><?php echo prep_url($single_event->organizer_website) ?></a></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="bg-light event_booking hide">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-9">

                <div class="border border-light bg-white py-6 px-4 px-lg-6 rounded">
                    <form action="<?php echo base_url('company/event_booking/' . $slug) ?>" method="post" enctype="multipart/form-data">
                        <h3 class="h2 text-center pb-4 text-primary border-bottom border-light mb-6">Ready to booking?</h3>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group mb-5">
                                    <label>Name</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" name="name" placeholder="Name">
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group mb-5">
                                    <label>Email</label>
                                    <div class="input-group">
                                        <input type="email" class="form-control" name="email" placeholder="Email">
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group mb-5">
                                    <label>Quantity</label>
                                    <div class="input-group">
                                        <input type="number" class="form-control" name="quantity" value="1" >
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group mb-5">
                                    <label>In a Few Words</label>
                                    <div class="input-group">
                                        <textarea class="form-control" rows="6" name="description" placeholder="How'd you hear about Cavistar?"></textarea>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12 text-center">
                                <input type="hidden" name="id" value="<?php echo html_escape($single_event->id) ?>">
                                <button type="submit" class="btn btn-primary btn-wide btn-md mb-0">Confirm Booking</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>

<input type="hidden" id="event_countdown_date" value="<?php if(!empty($single_event->date)){echo html_escape($single_event->date);} ?>">