<?php $this->load->view('include/banner'); ?>

<section>
    <div class="container">
        <div class="row">
            <div class="col-md-12 mb-7 text-center">
                <form method="get" action="<?php echo base_url('events/' .$slug)?>">
                    <div class="row">
                        <div class="col-md-4 mb-2 text-right">
                            <div class="input-group ie-width-80">
                                <input type="text" class="form-control" name="event" id="search" placeholder="Search" value="<?php if(!empty($_GET['event'])){echo html_escape($_GET['event']);} ?>">
                            </div>
                        </div>

                        <div class="col-md-4 mb-2 text-right">
                            <select class="form-select form-control nice_select wide" name="event_category">
                              <option > Select categories</option>
                              <?php foreach ($categories as $category): ?>
                                <option <?php if(isset($_GET['event_category']) && $_GET['event_category'] == $category->id){echo 'selected';} ?> value="<?php if(!empty($category)){echo html_escape($category->id);} ?>"><?php echo html_escape($category->name) ?></option>
                              <?php endforeach ?>
                            </select>
                        </div>

                        <div class="col-md-4 mb-2 text-right">
                            <button type="submit" class="btn btn-primary text-nowrap ml-4 mb-0">
                                <span class="fas fa-search mr-2"></span> Search
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>

        <div class="row">
            <?php foreach ($events as $event): ?>
                <div class="col-md-4 mb-7">
                    <div class="card overhidden border-0 rounded-lg shadow-light">
                        <a href="<?php echo base_url('event/'). $event->slug . '/' . $slug ?>">
                            <div class="event_img" style="background-image: url(<?php echo base_url($event->image) ?>);">
                                <div class="event_badge align-items-center text-center">
                                    <div class="center-element">
                                        <p class="mb-0 fs-25"><?php echo show_day($event->date) ?></p>
                                        <p class="mb-1 fs-12"><?php echo show_month($event->date) ?></p>
                                    </div>
                                </div>
                            </div>
                        </a>

                        <div class="card-body p-5">
                            <div class="d-flex justify-content-start align-items-center mb-3">
                                <span class="badge badge-primary badge-square mr-3 d-hide"><i class="bi bi-calendar2-check"></i> <?php echo my_date_show($event->date) ?></span>

                                <span class="badge badge-secondary-soft badge-square mr-3 text-lowercase"><i class="bi bi-folder2-open"></i> <?php echo html_escape($event->category_name) ?></span>
                                
                                <span class="badge badge-secondary-soft badge-square mr-3"><i class="bi bi-person-badge"></i> <?php echo html_escape($event->total_seat) ?></span>

                                <span class="badge badge-secondary-soft badge-square mr-3" href="#">
                                    <?php if($company->curr_locate == 0){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                    <?php echo number_format($event->price, $company->num_format) ?>
                                    <?php if($company->curr_locate == 1){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                </span>
                            </div>

                            <a href="<?php echo base_url('event/'). $event->slug . '/' . $slug ?>">
                                <h6><?php echo html_escape($event->title) ?></h6>
                            </a>

                            <span class="text-dark mr-3"><i class="bi bi-geo-alt text-primary"></i> <?php echo html_escape($event->venue_name) ?></span>
                        </div>
                    </div>
                </div>
            <?php endforeach ?>
        </div>
    </div>
    <div class="mt-4 ">
      <?php echo $this->pagination->create_links(); ?>
    </div>
</section>