
<?php if (empty($company->image)):?>
    <?php $bg_image = base_url('assets/front/img/vericla-cover.jpg'); ?>
<?php else: ?>
    <?php $bg_image = base_url($company->image);?>
<?php endif; ?>


<section class="bannerimgs p-0">

    <div class="container-fluid overlay overlay-black overlay-40 p-0">
        <div class="carousel-1 owl-carousel owl-theme h-100 w-100 navjustify">
            <?php foreach ($sliders as $slider): ?>
                <div class="item sliderimg overlay overlay-black overlay-40" style="background-image: url(<?php echo base_url($slider->image) ?>);">
                    <div class="container h-center">
                        <div class="row no-gutters">
                            <div class="col-12 pt-8">
                                <h1 class="mb-4 display-5 w-lg-50 line-height-sm text-light font-weight-bold"><?php echo html_escape($slider->title) ?></h1>
                               <p class="text-light mb-5 mb-xl-6 line-height-lg w-md-90 w-lg-50 fs-20"><?php echo strip_tags($slider->details) ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach ?>

        </div>

    </div>
</section>



<section class="bg-light">
    <div class="container mb-60 mt-60">
        <div class="row justify-content-center ">
            <div class="col-md-6">
                <p class="badge-secondary-soft badge badge-square">About</p>
                <h1 class="mb-3 font-weight-bold"> <?php echo html_escape($company->about_title) ?></h1>
                <p><?php echo strip_tags(character_limiter($company->about_details, 400)) ?></p>

                <a href="<?php echo base_url('abouts/'.$slug) ?>" class="btn btn-secondary rounded-pill lift-xs mt-4">More About Us</a>
            </div>

            <div class="col-md-5 offset-md-1 mt-1">
                <?php if (!empty($counters)): ?>
                    <?php foreach ($counters as $counter): ?>
                        <div class="d-flex justify-content-start">
                            <div class="mr-5 circle-icon bg-primary-soft mt-2">
                                <i class="<?php echo html_escape($counter->icon) ?> fs-20"></i>
                            </div>
                            <div>
                                <h1 class="mb-0 display-4 font-weight-bold"><span class="counter"><?php echo html_escape($counter->number) ?></span></h1>
                                <p class="mb-2 text-dark fs-20"><?php echo html_escape($counter->title) ?></p>
                                <p><?php echo strip_tags($counter->text) ?></p>
                            </div>
                        </div>
                    <?php endforeach ?>
                <?php endif ?>

            </div>
        </div>
    </div>
</section>



<?php if (check_user_feature_access($company->user_id, 'services') == TRUE && $company->enable_service == TRUE): ?>
    <section class="bg-white">
        <div class="container">
            <div class="text-center mx-auto mb-8">
                <div class="text-center mx-md-auto mb-5 mb-md-7 mb-lg-9">
                    <div class="badge badge-square badge-secondary-soft mb-3">
                        <span>Our Services</span>
                    </div>
                    <h1 class="w-40 mx-auto">The best services in the industry</h1>
                </div>
            </div>

            <div class="row">
                <?php if(empty($services)): ?>
                    <?php $this->load->view('include/not_found_msg'); ?>
                <?php else: ?>
                    <?php foreach ($services as $service): ?>
                        <?php include APPPATH.'views/include/service_item_2.php'; ?>
                    <?php endforeach ?>
                <?php endif; ?>
            </div>

            <div class="text-center mx-auto mt-10">
                <a href="<?php echo base_url('services/'.$slug) ?>" class="btn btn-light-primary rounded-pill">All Services</a>
            </div>

        </div>
    </section>
<?php endif; ?>


<?php if (check_user_feature_access($company->user_id, 'portfolios') == TRUE && $company->enable_portfolio == TRUE): ?>
    <section>
        <div class="container-fluid p-0">

            <div class="text-center mx-auto">
                <div class="text-center mx-md-auto mb-5 mb-md-7 mb-lg-9 w-lg-30 mx-auto">
                    <p class="badge-secondary-soft badge badge-square">Portfolios</p>
                    <h1 class="">Latest Projects</h1>
                    <p>Waters his moveth seasons over Created appear greater dry air. Cattle set it night let i fruitful make our appear.</p>
                </div>
            </div>

            <div class="portfolio-carousel owl-carousel owl-theme navtop">
                <?php foreach ($portfolios as $portfolio): ?>
                    <?php include APPPATH.'views/include/portfolio_item_carousel.php'; ?>
                <?php endforeach ?>
            </div>

        </div>
    </section>
<?php endif; ?>


<?php if (check_user_feature_access($company->user_id, 'team') == TRUE && $company->enable_team == TRUE): ?>
    <section class="bg-lights hide">
        <div class="container">
            <div class="text-center mx-md-auto mb-5 mb-md-7 mb-lg-9">
                <div class="badge badge-pill badge-primary-soft mb-3">
                    <span>Our Team</span>
                </div>
                <h3>Our experienced experts</h3>
            </div>

            <div class="row">
                <?php if(empty($teams)): ?>
                    <?php $this->load->view('include/not_found_msg'); ?>
                <?php else: ?>
                    <?php foreach ($teams as $team): ?>
                        <div class="col-sm-6 col-md-3 mb-5">
                            <?php include APPPATH.'views/include/teams_item_1.php'; ?>
                        </div>
                    <?php endforeach ?>
                <?php endif; ?>
            </div>
        </div>
    </section>
<?php endif; ?>





<section class="py-5 py-lg-10 hide">
    <div class="container-fluid bg-dark py-8">
        <div class="row justify-content-center">
            <div class="col-md-12 col-lg-10 text-center">
                <div class="row">
                    <?php if(empty($counters)): ?>
                        <?php $this->load->view('include/not_found_msg'); ?>
                    <?php else: ?>
                        <?php foreach ($counters as $counter): ?>
                            <?php include APPPATH.'views/include/counters_item_1.php'; ?>
                        <?php endforeach ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</section>



<?php if (check_user_feature_access($company->user_id, 'blogs') == TRUE && $company->enable_blog == TRUE): ?>
    <section class="bg-secondary">
        <div class="container">
            <div class="text-center mx-auto">
                <div class="text-center mx-md-auto mb-5 mb-md-7 mb-lg-9 w-lg-40 mx-auto">
                    <h1 class="">Latest From Our Blog</h1>
                </div>
            </div>

            <div class="row">
                <?php if(!empty($blogs)): ?>
                    
                    <div class="col-md-6 mb-3">
                        <div class="card border-0 rounded-lg shadow-light h-100 br-10 overhidden lift-sm">
                            <a href="<?php echo base_url('blog/'). $blogs[0]->slug . '/' . $slug   ?>">
                                <div class="blog-img-lg" style="background-image: url(<?php echo base_url($blogs[0]->image) ?>);">
                                </div>
                            </a>
                            <div class="card-body p-5">
                                <div class="d-flex justify-content-between align-items-center mb-4">
                                    <a class="bg-primary-soft badge badge-square" href="#"><?php echo html_escape($blogs[0]->category_name) ?></a>
                                    <span class="small"><?php echo my_date_show($blogs[0]->created_at) ?></span>
                                </div>

                                <div class="">
                                    <a href=""><h5><?php echo html_escape($blogs[0]->title) ?></h5></a>
                                    <p><?= character_limiter($blogs[0]->details, 220) ?></p>
                                </div>
                            </div>
                        </div>
                    </div>
         
                    <div class="col-md-6">
                        <?php $b=1; foreach ($blogs as $blog): ?>
                            <?php if ($b != 1): ?>
                                <a href="<?php echo base_url('blog/'). $blog->slug . '/' . $slug ?>">
                                    <div class="service-card shadow-light lift-sm mb-3 w-100">
                                        <div class="blog_img" style="background-image: url(<?php echo base_url($blog->image) ?>);"></div>
                                        <div class="service-card-body text-left flex-grow-1">
                                            <p class="bg-primary-soft badge badge-square"><?php echo html_escape($blog->category_name) ?></p>
                                            <span class="small pull-right text-dark pt-1"><?php echo my_date_show($blogs[0]->created_at) ?></span>

                                            <h6 class="service-card-title mb-3"><?php echo html_escape($blog->title) ?></h6>
                                        </div>
                                    </div>
                                </a>
                            <?php endif ?>
                        <?php $b++; endforeach ?>
                    </div>

                <?php endif; ?>
            </div>

            <div class="text-center mx-auto mt-15">
                <a href="<?php echo base_url('blogs/'.$slug) ?>" class="btn btn-light-primary rounded-pill">More Blogs</a>
            </div>

        </div>


        
    </section>
<?php endif; ?>


<?php if (check_user_feature_access($company->user_id, 'testimoinals') == TRUE && $company->enable_testimonial == TRUE): ?>
    <section class="bg-dark2 parent-shape">
        <div class="container counter-padding ">
            <div class="row justify-content-center">
                <div class="col-md-4">
                    <h1 class="text-light display-5 font-weight-bold">What people's say about our company</h1>
                </div>
                <div class="col-md-8 pl-5">
                    <div class="testimonial-carousel owl-carousel owl-theme navleft">
                        <?php if(!empty($testimonials)): ?>
                            <?php foreach ($testimonials as $testimonial): ?>
                                <?php include APPPATH.'views/include/testimonial_item_1.php'; ?>
                            <?php endforeach ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php endif; ?>


<section class="p-0 bg-white bbm-1">
    <div class="container-fluid p-0">
        <div class="footer-about-2 pt-15 pb-15">

            <div class="container mx-auto row d-flex align-items-center">
                <div class="col-sm-12 col-md-5">
                    <h2 class="text-dark font-weight-bold mb-3 w-80 pl-lg-10">Want to get a free consultation?</h2>
                </div>

                <div class="col-sm-12 col-md-3">
                    <p class="mb-2 font-weight-bold text-dark"><i class="fas fa-map-marker-alt text-primary mr-2 my-1 my-sm-0"></i> +88018776655</p>

                    <p class="mb-0 font-weight-bold text-dark"><i class="fas fa-envelope text-primary mr-2 my-1 my-sm-0"></i> test@mail.com</p>
                </div>

                <div class="col-sm-12 col-md-4 text-center">
                    <a href="<?php echo base_url('contacts/'.$slug) ?>" class="btn btn-primary rounded-pill btn-lg lift-sm"><i class="bi bi-telephone"></i> Contact</a>
                </div>
           
            </div>
        </div>
    </div>
</section>


