
<?php if (empty($company->image)):?>
    <?php $bg_image = base_url('assets/front/img/vericla-cover'); ?>
<?php else: ?>
    <?php $bg_image = base_url($company->image);?>
<?php endif; ?>


<section class="py-md-15 bannerimg overlay overlay-black overlay-60" style="background-image: url(<?php echo html_escape($bg_image) ?>);">
    <div class="container pt-15 pb-10">
        <div class="row align-items-center justify-content-center">
                <div class="col-md-12 col-lg-8 order-md-1 pr-lg-5 pr-xl-0 mb-8 mb-lg-0 text-center">
                   
                    <h1 data-aos="fade-up" data-aos-delay="250" class="text-light w-lg-60 m-auto display-5  font-weight-bold custom-fonts1">
                        <?php echo html_escape($company->title) ?>
                    </h1>
                   
                    <p data-aos="fade-up" data-aos-delay="250" class="text-light fs-18 mt-3 mb-5"><?php echo strip_tags($company->details) ?></p>
                    
                    <div class="mb-2" data-aos="fade-up" data-aos-delay="300">
                        <a href="<?php echo base_url('abouts/'.html_escape($slug)) ?>" class="lift-xs btn btn-lg btn-primary mt-3 mr-2 fs-14" data-aos="fade-up" data-aos-delay="350">About Us</a>

                        <a href="<?php echo base_url('contacts/'.html_escape($slug)) ?>" class="lift-xs btn btn-lg btn-outline-light mt-3 fs-14" data-aos="fade-up" data-aos-delay="350">Contact</a>
                    </div>
                </div>
            </div>
    </div>
</section>



<section class="bg-grays">
    <div class="container mb-60 mt-60">
        <div class="row justify-content-center">
            <div class="col-md-6 mb-4">
                <p class="badge-secondary-soft badge badge-square">What We Do</p>
                <h1 class="mb-3 font-weight-bold w-lg-80"> <?php echo html_escape($company->about_title) ?></h1>
            </div>

            <div class="col-md-6 mb-4">
                <p class="text-dark font-weight-normal pt-8 fs-16"><?php echo strip_tags(character_limiter($company->about_details, 300)) ?></p>
            </div>

            <?php if (check_user_feature_access($company->user_id, 'services') == TRUE && $company->enable_service == TRUE): ?>
            <div class="col-md-12 mt-5 mb-4">
                <div class="row">
                    <?php if(empty($services)): ?>
                        <?php $this->load->view('include/not_found_msg'); ?>
                    <?php else: ?>
                        <?php foreach ($services as $service): ?>
                            <?php include APPPATH.'views/include/service_item_1.php'; ?>
                        <?php endforeach ?>
                    <?php endif; ?>
                </div>
            </div>
            <?php endif; ?>

            <a href="<?php echo base_url('abouts/'.$slug) ?>" class="btn btn-outline-primary rounded-pill lift-xs mt-5">More About Us</a>
        </div>
    </div>
</section>



<?php if (check_user_feature_access($company->user_id, 'products') == TRUE && $company->enable_product == TRUE): ?>
    <?php if(!empty($products)): ?>
    <section>
        <div class="container p-0">
            <div class="row">
                <div class="text-left mx-md-auto mb-5 mb-md-7 mb-lg-9 mx-auto col-8">
                    <p class="badge-secondary-soft badge badge-square">Products</p>
                    <h1 class="w-lg-60">The better way to shop your products</h1>
                </div>
                <div class="col-4 text-right">
                    <a href="<?php echo base_url('products/'.$slug) ?>" class="btn btn-outline-primary rounded-pill lift-xs mt-7">More Products</a>
                </div>
            </div>

            <div class="row">
                <div class="carousel-4 owl-carousel owl-theme navtop">
                    <?php $product_col = '3'; ?>
                    <?php foreach ($products as $product): ?>
                        <?php include APPPATH.'views/include/product_item_1.php'; ?>
                    <?php endforeach ?>
                </div>
            </div>
        </div>
    </section>
    <?php endif; ?>
<?php endif; ?>


<?php if (check_user_feature_access($company->user_id, 'portfolios') == TRUE && $company->enable_portfolio == TRUE): ?>
    <section>
        <div class="container-fluid p-0">
            <?php if (!empty($portfolios)): ?>
            <div class="text-center mx-auto">
                <div class="text-center mx-md-auto mb-5 mb-md-7 mb-lg-9 w-lg-30 mx-auto">
                    <p class="badge-secondary-soft badge badge-square">Portfolios</p>
                    <h1>Latest Projects</h1>
                    <p>Waters his moveth seasons over Created appear greater dry air. Cattle set it night let i fruitful make our appear.</p>
                </div>
            </div>
            <?php endif ?>

            <div class="portfolio-carousel owl-carousel owl-theme navtop">
                <?php foreach ($portfolios as $portfolio): ?>
                    <?php include APPPATH.'views/include/portfolio_item_carousel.php'; ?>
                <?php endforeach ?>
            </div>
        </div>
    </section>
<?php endif; ?>




<section class="hide">
    <div class="container-fluid">
        <div class="row justify-content-center">
            <div class="col-md-12 col-lg-10 text-center">
                <div class="row">
                    <?php if(empty($counters)): ?>
                        <?php $this->load->view('include/not_found_msg'); ?>
                    <?php else: ?>
                        <?php foreach ($counters as $counter): ?>
                            <?php include APPPATH.'views/include/counters_item_1.php'; ?>
                        <?php endforeach ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</section>


<?php if (check_user_feature_access($company->user_id, 'testimoinals') == TRUE && $company->enable_testimonial == TRUE): ?>
    <section class="pt-3">
        <div class="container">
            <div class="row">
                <div class="col-md-12 text-center mb-5">
                    <p class="badge-secondary-soft badge badge-square">Feedbacks</p>
                    <h1 class="text-dark font-weight-bold w-50 mx-auto mb-5">What people's say about our company</h1>
                </div>
                <div class="col-md-12">
                    <div class="testimonial-carousel owl-carousel owl-theme">
                        <?php if(!empty($testimonials)): ?>
                            <?php foreach ($testimonials as $testimonial): ?>
                                <?php include APPPATH.'views/include/testimonial_item_2.php'; ?>
                            <?php endforeach ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php endif; ?>



<?php if (check_user_feature_access($company->user_id, 'blogs') == TRUE && $company->enable_blog == TRUE): ?>
    <section>
        <div class="container pb-120">
            <div class="text-center mx-auto">
                <div class="text-center mx-md-auto mb-5 mb-md-7 mb-lg-9 w-lg-40 mx-auto">
                    <h1 class="">Latest From Our Blog</h1>
                </div>
            </div>

            <div class="row">
                <?php if(!empty($blogs)): ?>
                    <?php $b=1; foreach ($blogs as $blog): ?>
                        <div class="col-md-6">
                            <a href="<?php echo base_url('blog/'). $blog->slug . '/' . $slug ?>">
                                <div class="service-card shadow-light lift-sm mb-4 w-100 border-1">
                                    <div class="blog_img" style="background-image: url(<?php echo base_url($blog->image) ?>);"></div>
                                    <div class="service-card-body text-left flex-grow-1">
                                        <p class="badge-secondary-soft badge badge-square"><?php echo html_escape($blog->category_name) ?></p>
                                        <span class="small pull-right text-dark pt-1"><?php echo my_date_show($blogs[0]->created_at) ?></span>

                                        <h6 class="service-card-title mb-3"><?php echo html_escape($blog->title) ?></h6>
                                    </div>
                                </div>
                            </a>
                        </div>
                    <?php $b++; endforeach ?>
                <?php endif; ?>
            </div>

            <div class="text-center mx-auto mt-10">
                <a href="<?php echo base_url('blogs/'.$slug) ?>" class="btn btn-outline-primary rounded-pill">More Blogs</a>
            </div>

        </div>
    </section>
<?php endif; ?>


<?php if (check_user_feature_access($company->user_id, 'team') == TRUE && $company->enable_team == TRUE): ?>
    <section>
        <div class="container">
            <?php if(!empty($teams)): ?>
            <div class="row">
                <div class="col-12 text-left mx-md-auto mb-1">
                    <div class="badge badge-square badge-secondary-soft mb-3">
                        <span>Our Teams</span>
                    </div>
                    <h1 class="pull-left">Meet our talanted team</h1>
                </div>
            </div>
            <?php endif; ?>

            <div class="row p-3">
                <?php if(empty($teams)): ?>
                    <?php $this->load->view('include/not_found_msg'); ?>
                <?php else: ?>
                    <div class="carousel-4 owl-carousel owl-theme h-100 w-100 navTopRight">
                        <?php foreach ($teams as $team): ?>
                            <?php include APPPATH.'views/include/teams_item_1.php'; ?>
                        <?php endforeach ?>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </section>
<?php endif; ?>



