<?php $this->load->view('include/banner'); ?>

<section>
    <div class="container">
        <div class="row">
            <div class="col-md-8">
                <div class="details-img" style="background-image: url(<?php echo base_url($single_portfolio->image) ?>);"></div>
                <p class="mt-8 mb-2 fs-18 text-muted">
                    <span class="mr-3"><?php echo get_by_id($single_portfolio->category_id,'categories')->name; ?></span>
                    <span><?php echo my_date_show($single_portfolio->created_at) ?></span>
                </p>
                <h3 class="mb-5 text-dark"><?php echo html_escape($single_portfolio->title) ?></h3>
                <p><?php echo strip_tags($single_portfolio->details) ?></p>
            </div>

            <div class="col-md-4">
                <div class="sidebar-info pl-4 mb-5 mt-0">
                    <div class="sidebar-item">
                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-person"></i>
                            </div>

                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">Client</p>
                                <p class="mb-0 sidebar-item-info"><?php echo html_escape($single_portfolio->client) ?></p>
                            </div>
                        </div>

                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-coin"></i>
                            </div>
                            
                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">budget</p>
                                <p class="mb-0 sidebar-item-info">
                                    <?php if($company->curr_locate == 0){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                    <?php echo number_format($single_portfolio->budget, $company->num_format) ?>
                                    <?php if($company->curr_locate == 1){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                        
                                </p>
                            </div>
                        </div>

                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-stopwatch"></i>
                            </div>


                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">Duration</p>
                                <p class="mb-0 sidebar-item-info"><?php echo html_escape($single_portfolio->duration) ?></p>
                            </div>
                        </div>

                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-link-45deg"></i>
                            </div>


                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">Link</p>
                                <p class="mb-0"><a target="blank_" href="<?php echo prep_url($single_portfolio->link) ?>"><?php echo prep_url($single_portfolio->link) ?></a></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</section>

 
<section class="bg-light">
    <div class="container">
        <div class="row mb-5 text-center">
            <div class="col">
                <h3>Related Portfolios</h3>
            </div>
        </div>

        <div class="row">
            <?php if(empty($related_portfolios)): ?>
                <?php $this->load->view('include/not_found_msg'); ?>
            <?php else: ?>
                <div class="portfolio-carousel owl-carousel owl-theme navjustify">
                    <?php foreach ($related_portfolios as $portfolio): ?>
                        <?php include APPPATH.'views/include/portfolio_item_carousel.php'; ?>
                    <?php endforeach ?>
                </div>
            <?php endif; ?>
        </div>
    </div>
</section>
