<?php $this->load->view('include/banner'); ?>

<section>
    <div class="container">
        <div class="row">
            <div class="col-md-9">
                <div class="row align-items-center mb-6 pb-6 ">
                    <div class="col-6">
                        
                    </div>
                </div>

                <div class="row mb-6">
                    <div class="col-12">
                        <div class="details-img" style="background-image: url(<?php echo base_url($service->image) ?>);"></div>
                        <h3 class="mt-5"><?php echo html_escape($service->title) ?></h3>
                        <p><?php echo strip_tags($service->details) ?></p>
                    </div>
                </div>
            </div>

            <div class="col-md-3 mt-11">
                <?php if ($service->enable_booking == 1): ?>
                <div class="booking-info mb-5 mt-0">

                    <div class="sidebar-item">

                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-currency-dollar fa-1x"></i>
                            </div>
                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">price</p>
                                <p class="mb-0 sidebar-item-info">
                                    <?php if($company->curr_locate == 0){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                    <?php echo number_format($service->price, $company->num_format) ?>
                                    <?php if($company->curr_locate == 1){echo get_by_id($company->country,'country')->currency_symbol;} ?>
                                </p>
                            </div>
                        </div>

                        
                        <div class="sidebar-item-row d-flex justify-content-start">
                            <div class="mr-3 sidebar-icon">
                                <i class="bi bi-clock fa-1x"></i>
                            </div>


                            <div class="sidebar-item-info">
                                <p class="mb-0 mt-0 sidebar-item-title">Duration</p>
                                <p class="mb-0 sidebar-item-info"><?php echo html_escape($service->duration).' ',html_escape($service->duration_type) ?></p>
                            </div>
                        </div>
                    </div>
                </div>
                <?php endif ?>

                <div class="category-list">
                    <ul class="list-group">
                        <?php foreach ($categories as $category): ?>
                          <li class="list-group-item d-flex justify-content-between align-items-center">
                            <a class="text-dark" href="<?php echo base_url('services/'. $slug) ?>?category=<?php echo html_escape($category->id) ?>"><?php echo html_escape($category->name) ?></a>
                            <span class="badge badge-sm badge-secondary-soft badge-pill"><?php echo get_count_by_id($category->id,'services') ?></span>
                          </li>
                        <?php endforeach ?>
                    </ul>
                </div>
            </div>
        </div>

        <?php if ($service->enable_booking == 1): ?>
        <div class="row">
            <div class="col-12">
                <h4 class="mt-5">Book this Service</h4> <hr>

                <form method="post" action="<?php echo base_url('company/book_service/'.$slug.'?type=login'); ?>">
                <div class="row">
                    <div class="col-6">
                        <div id="datepickers"></div>
                        <input type="hidden" class="booking_date" name="date" value="">
                        <input type="hidden" class="service_id" name="service_id" value="<?php echo html_escape($service->id) ?>">
                    </div>

                    <div class="col-6">
                        <div id="load_data"></div>
                    </div>
                </div>

                <!-- csrf token -->
                <input type="hidden" name="<?php echo $this->security->get_csrf_token_name();?>" value="<?php echo $this->security->get_csrf_hash();?>">

                <button type="submit" class="btn btn-primary mt-5 book_now_btn d-hide"><i class="fas fa-check-circle"></i> <?php echo trans('book-now') ?> </button>
                                   
            </div>
        </div>
        <?php endif; ?>
    </div>
</section>