
<section class="pt-6 bg-grey">
    <div class="container">

        <div class="text-center mx-md-auto mb-5 mb-md-7 mb-lg-9">
            <h2 class="mb-0"><?php echo trans('company-lists') ?></h2>
        </div>

        <?php if (!empty($companies)): ?>
            <form method="GET" class="sort_form" action="<?php echo base_url('companies') ?>">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <select name="category" class="form-controls sort_front select2 w-100">
                                <option value=""><?php echo trans('all-categories') ?></option>
                                <?php foreach ($categories as $category): ?>
                                    <option <?php if(isset($_GET['category']) && $_GET['category'] == $category->id){echo "selected";} ?> value="<?php echo html_escape($category->id); ?>"><?php echo html_escape($category->name); ?></option>
                                <?php endforeach ?>
                            </select>
                        </div>
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <select name="country" class="form-controls sort_front select2 w-100">
                                <option value=""><?php echo trans('all-countries') ?></option>
                                <?php foreach ($countries as $country): ?>
                                    <option <?php if(isset($_GET['country']) && $_GET['country'] == $country->id){echo "selected";} ?> value="<?php echo html_escape($country->id); ?>"><?php echo html_escape($country->name); ?></option>
                                <?php endforeach ?>
                            </select>
                        </div>
                    </div>

                    
                    <div class="col-md-3">
                        
                    </div>

                    <div class="col-md-3">
                        <div class="input-group input-group-sm pull-right">
                            <input name="search" type="text" class="form-control form-control-sm" placeholder="<?php echo trans('search-by-name') ?>">
                            <div class="input-group-append">
                              <button class="btn btn-primary" type="submit">
                                <i class="fa fa-search"></i>
                              </button>
                            </div>
                        </div>
                    </div>  
                    
                </div>
            </form>
        <?php endif; ?>

        <!-- Users -->
        <?php if (empty($companies)): ?>
            <div class="row">
                <div class="col-md-10 col-lg-9 col-xl-8 mx-md-auto">
                    <?php include'include/not_found_msg.php'; ?>
                </div>
            </div>
        <?php else: ?>
            <div class="row mt-4">
                <?php $c=1; foreach ($companies as $company): ?>
                    <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12 mb-5">
                        <div class="card shadow-light profile-card-2 mb-2 border-l-1" data-aos="fade-up" data-aos-delay="<?= $c * 50; ?>">

                            <?php if (empty($company->image)): ?>
                                <?php $banner_img = base_url('assets/front/img/cbg.png'); ?>
                            <?php else: ?>
                                <?php $banner_img = base_url($company->image) ?>
                            <?php endif ?>

                            <div class="card-img-block position-relative banner_img d-flex justify-content-center align-items-center" style="background-image: url(<?php echo html_escape($banner_img) ?>);">
                                <?php if (!empty($company->logo)): ?>
                                    <img src="<?php echo base_url($company->logo) ?>" alt="profile-image" class="company-img blurs"/>
                                <?php endif; ?>

                                <div class="shapes shape-bottom zi-1">
                                    <svg xmlns="http://www.w3.org/2000/svg" x="0px" y="0px" viewBox="0 0 1920 100.1">
                                    <path fill="#fff" d="M0,0c0,0,934.4,93.4,1920,0v100.1H0L0,0z"></path>
                                </svg>
                              </div>
                            </div>
                            <div class="card-body text-center pt-3">
                                <p class="card-title text-dark mb-0 fs-18"><?php echo html_escape($company->name) ?></p>
                                <p class="card-text mb-3"><?php echo html_escape($company->title) ?></p>
                                <a href="<?php echo base_url($company->slug) ?>" class="mt-2 badge badge-light badge-pill"> <?php echo trans('view-site') ?> <i class="pl-1 pt-1 bi bi-arrow-right"></i></a>
                            </div>
                        </div>
                    </div>
                <?php $c++; endforeach ?>
            </div>

            <div class="col-md-12 text-center mt-4">
                <?php echo $this->pagination->create_links(); ?>
            </div>
        <?php endif; ?>
        <!-- End Users -->
        
    </div>
</section>